/********************************************************************************/
/* Name			: ImportFile.java												*/
/* Copyright	: DATA INFOCOM LTD 2005											*/
/* Team			: Spam Control Team												*/
/* Developer	: Kishan Kumar Meena											*/
/* Last Updated	: 24/04/2006													*/
/* Abstract		: Read email addresses from text file and add them in DomainASL	*/
/* Called from	: Side Menu														*/
/* Calls		: 																*/
/********************************************************************************/
package com.antispam;

import com.replace.Replace;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.io.*;

import com.DBConnection;

public class ImportFile
{
	DBConnection dbconn = new DBConnection ();

	public int userid = 0;
	public int domainid = 0;
	public int approvalid = 0;
	public int redstatus = 0;
	public int conditionid = 0;
	public int passivestatus = 0;
	public int allwd_exp_keymails = 0;
	public int allwd_lmt_keymails = 0;
	public int allwd_dsb_keymails = 0;
	public int keymails =  0;
	public int radauthority = 0;
	public int radauto = 0;
	public int radstatus = 0;

	String mailerid = "";
	String mailerdomain = "";
	public String import_type = ""; // DECIDE THAT IN WHICH ASL SENDERS WILL ADD
	public String import_user = ""; // Chacking is user adding dashboard user's
	public String user_status = "";


	public String passiveflag = "";
	public String txtAlternateto = "";
	public String hidquarantined = "";



	/* SET-GET THE ALLOWEDDISABLEDKEYMAILS */
      public void setAllwd_dsb_keymails ( int s )
      {	  allwd_dsb_keymails = s;      }
      public int getAllwd_dsb_keymails ( )
      {	  return allwd_dsb_keymails;      }

	/* SET-GET THE ALLOWEDLIMITEDKEYMAILS */
      public void setAllwd_lmt_keymails ( int s )
      {	  allwd_lmt_keymails = s;      }
      public int getAllwd_lmt_keymails ( )
      {	  return allwd_lmt_keymails;      }


	/* SET-GET THE ALLOWEDEXPIREDKEYMAILS */
      public void setAllwd_exp_keymails ( int s )
      {	  allwd_exp_keymails = s;      }
      public int getAllwd_exp_keymails ( )
      {	  return allwd_exp_keymails;      }

	
 /* SET-GET THE KEYMAILS */
      public void setKeymails ( int s )
      {	  keymails = s;      }
      public int getKeymails ( )
      {	  return keymails;      }

	/* SET-GET  quarantined Flag*/
      public void setQuaranstatus ( String s )
      {	 hidquarantined = s;}
	      
	public String getQuaranstatus( )
      { return hidquarantined;  }

	/* SET-GET THE ALTERNATE EMAIL ADDRESS */
	public void setTxtAlternateto( String s )
	{	  txtAlternateto = s;      }
	public String getTxtAlternateto ( )
	{	  return txtAlternateto;      }

	  	/* SET-GET  the passive challange mail flag*/
      public void setPassiveflag ( String s )
      {	  passiveflag = s;      }
      public String getPassiveflag ( )
      {	  return passiveflag;      }

	public String hidsendalsochallenge = "";

		  /* SET-GET PASSIVE STATUS*/
      public void setPassivestatus ( int s )
      {	  passivestatus = s;      }
      public int getPassivestatus ( )
      {	  return passivestatus;      }

 	/* SET-GET  Grey list challange Mail*/
      public void setHidsendalsochallenge ( String s )
      {	 hidsendalsochallenge = s;}
	      
		public String getHidsendalsochallenge( )
      { return hidsendalsochallenge;  }

	/* SET-GET Authority*/
      public void setRadauthority ( int s )
      {	  radauthority = s;      }
      public int getRadauthority ( )
      {	  return radauthority;      }

	   /* SET-GET Auto Approval*/
      public void setRadauto ( int s )
      {	  radauto = s;      }
      public int getRadauto( )
      {	  return radauto;      }

	  /* SET-GET Status*/
      public void setRadstatus ( int s )
      {	  radstatus = s;      }
      public int getRadstatus ( )
      {	  return radstatus;      }

	/* SET-GET THE USER ID */
	public void setUserid ( int newuserid )
	{	  
		userid = newuserid;
	}
	public int getUserid ( )
	{
		return userid;
	}
	
	/* SET-GET THE DOAMIN ID */
	public void setDomainid ( int newdomainid )
	{	  
		domainid = newdomainid;
	}
	public int getDomainid ( )
	{
		return domainid;
	}

	/* SET-GET THE APPROVAL ID */
	public void setApprovalid ( int newapprovalid )
	{	  
		approvalid = newapprovalid;
	}
	public int getApprovalid ( )
	{
		return approvalid;
	}

	/* SET-GET THE CONDITION ID */
	public void setConditionid ( int newconditionid )
	{	  
		conditionid = newconditionid;
	}
	public int getConditionid ( )
	{
		return conditionid;
	}


	/* SET-GET THE IMPORT TYPE */
	public void setImport_type ( String newimport_type )
	{	  
		import_type = newimport_type;
	}
	public String getImport_type ( )
	{
		return import_type;
	}

	/* SET-GET THE IS IMPORT AS A USER  */
	public void setImport_user ( String newimport_type )
	{	  
		import_user = newimport_type;
	}
	public String getImport_user ( )
	{
		return import_user;
	}

	/* SET-GET THE STATUS OF NEW USER  */
	public void setUser_status ( String newimport_type )
	{	  
		user_status = newimport_type;
	}
	public String getUser_status ( )
	{
		return user_status;
	}

	/* SET THE DATE OF ENTRY */
	Date entrydate = new Date();
	SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy hh:mm:ss a");
	String dateofentry = sdf.format(entrydate);
	Replace rep = new Replace();

	public String addAddress( String filePath )
	{
		DataInputStream d = null;
		File file = null;
		String retVal = "Unable to Add";
		int validCount = 0;
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.Statement stmt_user = null;
		java.sql.Statement stmt_count = null;
		java.sql.ResultSet rs = null;
		java.sql.ResultSet rs_user = null;
		java.sql.ResultSet rs_count = null;
		String qry ="";
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			stmt_user = conn.createStatement();
			stmt_count = conn.createStatement();

			file = new File ( filePath );
			
			long len = file.length();
			
			if(len == 0)
				retVal ="File doesn't Exists.";
			else
			{
				d = new DataInputStream(  new FileInputStream( file ) );
				String line = null;

				if(import_user.equalsIgnoreCase("N")) //checking if the upload type is USER 
				{			
					while ( (line = d.readLine() ) != null )
					{
						line = line.toLowerCase();
						if(line.indexOf('@') != -1)
						{
							if(line.indexOf('@') == 0 || line.indexOf('@') == line.length()-1 || line.indexOf(',') != -1 || line.indexOf('#') != -1 || line.indexOf('?') != -1 || line.indexOf('=') != -1)
							{}
							else
							{
								validCount++;
								mailerid = line.substring(0,line.indexOf('@'));
								mailerdomain = line.substring(line.indexOf('@')+1,line.length());
								if (import_type.equalsIgnoreCase("U"))
								{
									qry = "SELECT ASLID FROM ASL WHERE MAILERID='"+mailerid+"' AND MAILERDOMAIN='"+mailerdomain+"' AND CONDITIONID="+conditionid+" AND USERID="+userid;
									rs = stmt.executeQuery ( qry );
									if ( rs.next() ){}
									else
									{
										qry = "INSERT INTO ASL(USERID,MAILERID,MAILERDOMAIN,DATE_OF_ENTRY,CONDITIONID,APPROVALID) VALUES("+userid+", '"+mailerid+"', '"+mailerdomain+"', '"+dateofentry+"',"+ conditionid +","+approvalid+")";
										stmt.executeUpdate( qry );
									}
								}
								else if (import_type.equalsIgnoreCase("D"))
								{
									qry = "SELECT DOMAINASLID FROM DOMAINSASL WHERE MAILERID='"+mailerid+"' AND MAILERDOMAIN='"+mailerdomain+"' AND CONDITIONID="+conditionid+" AND DOMAINID="+domainid;
									rs = stmt.executeQuery ( qry );
									if ( rs.next() ){}
									else
									{
										qry = "INSERT INTO DOMAINSASL(DOMAINID,MAILERID,MAILERDOMAIN,DATE_INSERSION,CONDITIONID,APPROVALID) VALUES("+domainid+", '"+mailerid+"', '"+mailerdomain+"', '"+dateofentry+"',"+ conditionid +","+approvalid+")";
										stmt.executeUpdate( qry );
									}
								}
								else if (import_type.equalsIgnoreCase("S"))
								{
									qry = "SELECT ADMINASLID FROM ADMINASL WHERE MAILERID='"+mailerid+"' AND MAILERDOMAIN='"+mailerdomain+"' AND CONDITIONID="+conditionid;
									rs = stmt.executeQuery ( qry );
									if ( rs.next() ){}
									else
									{
										qry = "INSERT INTO ADMINASL(MAILERID,MAILERDOMAIN,DATE_INSERSION,CONDITIONID,APPROVALID) VALUES('"+mailerid+"', '"+mailerdomain+"', '"+dateofentry+"',"+ conditionid +", "+approvalid+")";
										stmt.executeUpdate( qry );
									}
								}
							}
						}
						else
						{ }
					}
				}
				else
				{ // code for adding as user.
				
					while ( (line = d.readLine() ) != null )
					{
						line = line.toLowerCase();
							if( line.indexOf(',') != -1 || line.indexOf('#') != -1 || line.indexOf('?') != -1 || line.indexOf('=') != -1)
							{ 
								
							}
							else
							{
								
								if(line.indexOf('@') != -1)
								{
									
									mailerid = line.substring(0,line.indexOf('@'));
									mailerdomain = line.substring(line.indexOf('@')+1,line.length());
									qry = "SELECT email_username FROM users WHERE email_username='"+mailerid+"' AND domainid='"+domainid+"'";
								}
								else
								{
									
									qry = "SELECT email_username FROM users WHERE email_username='"+line+"' AND domainid='"+domainid+"'";
								}

								
								rs = stmt.executeQuery ( qry );
								if ( rs.next() ){
									
								}
								else
								{
									
									rs_user = stmt_user.executeQuery("select * from domains where domainid ="+domainid);
									rs_user.next();
									if(line.indexOf('@') != -1)
									{
										
										if(mailerdomain.equalsIgnoreCase(rs_user.getString("domainname")))
										{
											line = mailerid;

											qry = "INSERT INTO USERS (firstname,lastname,Email_UserName,DomainID,Status,AdminID,AutoAdd,AllowExpiredkeymails,AllowLimitedkeymails,AllowDisabledkeymails,EmailSubject,EmailBody,challengeWebPage,approvalWebPage,alreadyInWebPage,FailedWebPage,Comments,alternate_email,passivestatus,keymails, ALTERNATEFROMEMAIL,ALTERNATETO,challenge_flag,passiveflag,quarantined) VALUES ('"+mailerid+"','"+mailerid+"','"+mailerid+"',"+domainid+","+radstatus+","+radauthority+",'"+radauto+"',"+allwd_exp_keymails+","+allwd_lmt_keymails+","+allwd_dsb_keymails+",'"+rep.replaceBy(rs_user.getString("defaultemail_subject"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultemail_body"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultchallengewebpage"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultapprovalwebpage"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultalreadyinwebpage"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultfailedwebpage"), "'", "''")+"','','',"+passivestatus+","+keymails+",'','"+txtAlternateto+"','"+hidsendalsochallenge+"','"+passiveflag+"','"+hidquarantined+"')";
											//System.out.println("domain id "+domainid);
											rs_count = stmt_count.executeQuery("select count(*) from users where domainid ="+domainid);
											rs_count.last();
											if((rs_count.getInt(1)) > rs_user.getInt("total_user"))
											{
												System.out.println("No more users are allowed.");
												retVal = "No more users are allowed.";
												break;
											}
											else
											{
												int iyrt=stmt.executeUpdate( qry );
												validCount++;
											}
										}
									}
									else
									{
										
											qry = "INSERT INTO USERS (firstname,lastname,Email_UserName,DomainID,Status,AdminID,AutoAdd,AllowExpiredkeymails,AllowLimitedkeymails,AllowDisabledkeymails,EmailSubject,EmailBody,challengeWebPage,approvalWebPage,alreadyInWebPage,FailedWebPage,Comments,alternate_email,passivestatus,keymails, ALTERNATEFROMEMAIL,ALTERNATETO,challenge_flag,passiveflag,quarantined) VALUES ('"+line.toLowerCase()+"','"+line.toLowerCase()+"','"+line.toLowerCase()+"',"+domainid+","+radstatus+","+radauthority+",'"+radauto+"',"+allwd_exp_keymails+","+allwd_lmt_keymails+","+allwd_dsb_keymails+",'"+rep.replaceBy(rs_user.getString("defaultemail_subject"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultemail_body"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultchallengewebpage"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultapprovalwebpage"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultalreadyinwebpage"), "'", "''")+"','"+rep.replaceBy(rs_user.getString("defaultfailedwebpage"), "'", "''")+"','','',"+passivestatus+","+keymails+",'','"+txtAlternateto+"','"+hidsendalsochallenge+"','"+passiveflag+"','"+hidquarantined+"')";
											System.out.println("domain id "+domainid);
											rs_count = stmt_count.executeQuery("select count(*) from users where domainid ="+domainid);
											rs_count.last();
											
											if((rs_count.getInt(1)) >= rs_user.getInt("total_user"))
											{		
												System.out.println("No more users are allowed.");
												retVal = "No more users are allowed.";
												break;
											}
											else
											{
												
												int iyrt=stmt.executeUpdate( qry );
												
												validCount++;
											}
									}
									
								}

							}
					}
				}

				if(validCount > 0)
				{
					retVal = " Addresses are successfully added to ASL";
				}
				else
				{
					retVal = " No Addresses added to ASL";
				}
			}
		}
		catch ( Exception e )
		{
			System.out.println(" Error--> "+e);
		}
		finally
		{
			try
			{
				d.close();
			} catch ( Exception ignore ) {}
		}
		return retVal;
	}
}