/********************************************************************************/
/* Name			: ServerAddWhitwList.java										*/
/* Copyright	: 2003 SATCOMLABS LTD.				     						*/
/* Team			: Spam Control Team												*/
/* Developer	: Pavan Gupta													*/
/* Last Updated	: 22/01/2004													*/
/* Abstract		: Java Bean for Add new addresses to ADMINASL					*/
/* Called from	: interserveraddwhitelist.jsp 									*/
/* Calls		: 																*/
/********************************************************************************/
package com.antispam;

import java.text.SimpleDateFormat;
import java.util.Date;
import com.DBConnection;

public class ServerAddWhiteList
{
	DBConnection dbconn = new DBConnection ();

	public int aslid = 0;
	public String mailerid = "";
	public String mailerdomain = "";
	public String domain = "";
	public int conditionid = 0;
	public int approvalid = 0;

	public String flag = "";

	/* SET-GET THE ASL ID */
	public void setAslid ( int newaslid )
	{
		aslid = newaslid;
	}
	public int getAslid ( )
	{
		return aslid;
	}

	/* SET-GET THE MAILER ID */
	public void setMailerid ( String newmailerid )
	{	  
		mailerid = newmailerid;
	}
	public String getMailerid ( )
	{
		return mailerid.toLowerCase();      
	}
	/* SET-GET THE MAILER DOMAIN */
	public void setMailerdomain ( String newmailerdomain )
	{	  
		mailerdomain = newmailerdomain;
	}
	public String getMailerdomain ( )
	{
		return mailerdomain.toLowerCase();      
	}

	/* SET THE DATE OF ENTRY */
	Date entrydate = new Date();
	SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy hh:mm:ss a");
	String dateofentry = sdf.format(entrydate);


	/* SET-GET THE CONDITION ID */
	public void setConditionid ( int newconditionid )
	{	  
		conditionid = newconditionid;
	}
	public int getConditionid ( )
	{
		return conditionid;      
	}

	/* SET-GET THE APPROVAL ID */
	public void setApprovalid ( int newapprovalid )
	{	  
		approvalid = newapprovalid;
	}
	public int getApprovalid ( )
	{
		return approvalid;      
	}

	public void setFlag( String s )
	{
		flag = s;
	}
	public String getFlag()
	{
		return flag;
	}


	public String registered ( ) 
	{
		String retVal = "";
		      
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
		java.sql.Statement smt_valid = null;
		java.sql.ResultSet rs = null;
		
	
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			

			if ( flag.equals("UPDATEPOLICY") )
			{
				
				qry = "UPDATE ADMINASL SET CONDITIONID="+conditionid+" WHERE ADMINASLID = "+aslid;
				smt.executeUpdate ( qry );
				retVal= qry;
			}

			else if ( flag.equals("UPDATESCOPE") )
			{
				qry = "UPDATE ADMINASL SET APPROVALID = "+approvalid+" WHERE ADMINASLID = "+aslid;
				smt.executeUpdate ( qry );
				retVal= qry;
			}

			else if ( flag.equals("UPDATE") )
			{
				qry = "UPDATE ADMINASL SET CONDITIONID="+conditionid+", APPROVALID = "+approvalid+" WHERE ADMINASLID = "+aslid;
				smt.executeUpdate ( qry );
				retVal= "Update Opration Succeeded";
			}

			else if ( flag.equals("ADD") )
			{
				qry = "SELECT ADMINASLID FROM ADMINASL WHERE MAILERID='"+mailerid+"' AND MAILERDOMAIN='"+mailerdomain+"'";
				rs = smt.executeQuery ( qry );
				if ( rs.next() )
					retVal = mailerid+"@"+mailerdomain+" already exists";
				else
				{
					
					qry = "INSERT INTO ADMINASL(MAILERID,MAILERDOMAIN,DATE_INSERSION,CONDITIONID,APPROVALID) VALUES('"+mailerid+"', '"+mailerdomain+"', now(), "+conditionid+", "+approvalid+")";
					smt.executeUpdate( qry );
					retVal =mailerid+"@"+mailerdomain+" added to Whitelist";
				}
			}
			else if ( flag.equals("DELETE") )
			{
				qry = "DELETE FROM ADMINASL WHERE ADMINASLID='"+aslid+"'";
				smt.executeUpdate( qry );
				retVal= "Delete Opration Succeeded";
			}
		}
		catch ( java.sql.SQLException sqle )
		{
			System.out.println("SQLE Exception-->"+sqle);
			retVal=sqle.toString();
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);
			retVal=e.toString();
		}
		finally
		{
			try 
			{
				smt.close();
				conn.close();
			}
			catch ( Exception ignored ) {}
		}
		return retVal;
	}
}
