package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;

public class License extends BodyTagSupport
{
	private java.util.List id = new java.util.LinkedList();
	private java.util.List organisation = new java.util.LinkedList();
	private java.util.List owner = new java.util.LinkedList();
	private java.util.List mac_addr = new java.util.LinkedList();
	private java.util.List ip = new java.util.LinkedList();
	private java.util.List startdate = new java.util.LinkedList();
	private java.util.List expirydate = new java.util.LinkedList();
	private java.util.List sold_status = new java.util.LinkedList();

	private int index;
	private StringBuffer output = null;
	DBConnection dbconn = new DBConnection();

	public int doStartTag() throws JspException
	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;
		output = new StringBuffer();

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			
			qry = "SELECT ID, COMPANY, OWNER, MAC_ADDR, IP, TO_CHAR(START_DT,'dd-Mon-yyyy'), TO_CHAR(EXP_DT,'dd-Mon-yyyy'), SOLD FROM LICENSE_INFO";
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				do
				{
					id.add ( rs.getString( 1 ) );
					organisation.add ( rs.getString( 2 ) );
					owner.add ( rs.getString( 3 ) );
					mac_addr.add ( rs.getString( 4 ) );
					ip.add ( rs.getString( 5) );
					startdate.add ( rs.getString( 6) );
					expirydate.add ( rs.getString( 7) );
					sold_status.add ( rs.getString( 8) );

				}
				while( rs.next());
			}
			else
			{
				id.add ("0");
				organisation.add ("0");
				owner.add ("0");
				mac_addr.add ("0");
				ip.add ("0");
				startdate.add ("0");
				expirydate.add ("0");
				sold_status.add ("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( id.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
	{
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
				throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < id.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
	{
		pageContext.setAttribute( "id", id.get( index ).toString() );
		pageContext.setAttribute( "organisation", organisation.get( index ).toString() );
		pageContext.setAttribute( "owner", owner.get( index ).toString() );
		pageContext.setAttribute( "mac_addr",mac_addr.get( index ).toString() );
		pageContext.setAttribute( "ip", ip.get( index ).toString() );
		pageContext.setAttribute( "startdate", startdate.get( index ).toString() );
		pageContext.setAttribute( "expirydate", expirydate.get( index ).toString() );
		pageContext.setAttribute( "sold_status", sold_status.get( index ).toString() );
	}
}