<%
/********************************************************************************/
/* Name			: domainviewall.jsp												*/
/* Copyright	: 2003 SATCOMLABS LTD.				    						*/
/* Team			: Spam Control Team												*/
/* Developer	: Amit Kumar													*/
/* Last Updated	:																*/	
/* Abstract		: Displays All Pre-Approved Senders & Spammers					*/
/* Called from	: dashboardlogin.jsp											*/			
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<jsp:useBean id = "domainmainid" scope = "session" class = "com.antispam.DomainSettings" />

<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
int NumRec = 10;

if (userid==0 || adminid > 2)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int spamrecords = 0;
	int prerecords = 0;
	int preminpage = 0;
	int premin = 1;
	int preminimum = 1;

	int spamminpage = 0;
	int spammin = 1;
	int spamminimum = 1;

	int incr = 0;
	int noofrecpre=0;
	int i=0;

	int logindomainid = validate.getDomainid();
	int domainid = 0;
	int tempdomainid = validate.getTempdomainid();
	if(tempdomainid == 0)
		domainid = logindomainid;
	else
		domainid = tempdomainid;

		domainmainid.setHiddomainid(domainid);
		domainmainid.registered();
		String user_reg = domainmainid.getRadRegistration();
		if(user_reg == null)
			user_reg = "";
	String clicked = "";
	String pretxtusername = "";
	String prehidshowallbtn = "true";
	String srtuser = "";
	String srtdomain = "";
	String srtscope = "";
	String srtdate = "sortdatedesc";

	String message = "";
	if(request.getParameter("msg") != null)
		message = request.getParameter("msg");

	int conditionid = Integer.parseInt(request.getParameter("conditionid"));

	if(conditionid == 1)
	{
	if(request.getParameter("hidpreminpage") != null  && !request.getParameter("hidpreminpage").equals(""))
		preminpage = Integer.parseInt(request.getParameter("hidpreminpage"));
	if(request.getParameter("hidpremin") != null  && !request.getParameter("hidpremin").equals(""))
		premin = Integer.parseInt(request.getParameter("hidpremin"));
	if(request.getParameter("hidpreminimum") != null && !request.getParameter("hidpreminimum").equals(""))
		preminimum = Integer.parseInt(request.getParameter("hidpreminimum"));
	}

	if(conditionid == 2)
	{

		if(request.getParameter("hidspamminpage") != null && !request.getParameter("hidspamminpage").equals(""))
			spamminpage = Integer.parseInt(request.getParameter("hidspamminpage"));
		if(request.getParameter("hidpremin") != null && !request.getParameter("hidpremin").equals(""))
			spammin = Integer.parseInt(request.getParameter("hidspammin"));
		if(request.getParameter("hidspamminimum") != null && !request.getParameter("hidspamminimum").equals("") )
			spamminimum = Integer.parseInt(request.getParameter("hidspamminimum"));
	}

	if(request.getParameter("hidsortuser")!= null)
		srtuser = request.getParameter("hidsortuser");

	if(request.getParameter("hidsortdomain")!= null)
		srtdomain = request.getParameter("hidsortdomain");

	if(request.getParameter("hidsortscope")!= null)
		srtscope = request.getParameter("hidsortscope");
			
	if(request.getParameter("hidsortdate")!= null)
		srtdate = request.getParameter("hidsortdate");

	if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));

	if(request.getParameter("hidclicked") != null)
		clicked = request.getParameter("hidclicked");
%>
<HTML>
	<HEAD>
		<TITLE>View All Whitelist</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<script>
		//FUNCTION TO SAVE RECORDS
		function funsave()
		{
			document.frmviewall.hidbtn.value="save"
			records = document.frmviewall.totrecord.value;
			
			if(records == 0)
				alert ("No Record To Update");
			else
			{
				document.frmviewall.action="interdomainviewall.jsp";
				document.frmviewall.submit();	
			}
		}

		//FUNCTION TO  DELETE RECORDS
		function fundelete()
		{
			chkdel = document.frmviewall.chkdelete;
			document.frmviewall.hidbtn.value="delete";
			var flag=false;
			records = document.frmviewall.totrecord.value;

			if(records == 0)
				alert ("No Record To Delete");
			else
			{
				if(records == 1)
				{
					if(chkdel.checked == 1)
						flag=true;
				}
				else if(records > 1)
				{
					for(var i=0;i<chkdel.length;i++)
					{
						if(chkdel[i].checked == 1)
						{
							flag=true;
							break;
						}
					}
				}
				if(flag==false)
					alert("Please check at least one record");
				else
				{
					document.frmviewall.action="interdomainviewall.jsp";
					document.frmviewall.submit();	
				}
			}
		}

		//FUNCTION TO SORT USER WISE

		function sortuser(id,cond)
		{
			if(id == "sortuserasc")
			{	
				document.frmviewall.hidsortuser.value="sortuserasc";
				document.frmviewall.hidsortdomain.value="";
				document.frmviewall.hidsortscope.value="";
				document.frmviewall.hidsortdate.value="";
			}
			else
			{
				document.frmviewall.hidsortuser.value="sortuserdesc";
				document.frmviewall.hidsortdomain.value="";
				document.frmviewall.hidsortscope.value="";
				document.frmviewall.hidsortdate.value="";
			}
			document.frmviewall.action="domainviewall.jsp?conditionid="+cond;
			document.frmviewall.submit();
		}

		// FUNCTION TO SORT DOMAIN WISE
		function sortdomain(id,cond)
		{
			if(id == "sortdomainasc")
			{
				document.frmviewall.hidsortdomain.value="sortdomainasc";
				document.frmviewall.hidsortuser.value="";
				document.frmviewall.hidsortscope.value="";
				document.frmviewall.hidsortdate.value="";
			}
			else
			{
				document.frmviewall.hidsortdomain.value="sortdomaindesc";
				document.frmviewall.hidsortuser.value="";
				document.frmviewall.hidsortscope.value="";
				document.frmviewall.hidsortdate.value="";
			}
			document.frmviewall.action="domainviewall.jsp?conditionid="+cond;
			document.frmviewall.submit();
		}

		//FUNCTION TO SORT SCOPE WISE
		function sortscope(id,cond)
		{
			if(id == "sortscopeasc")
			{
				document.frmviewall.hidsortscope.value="sortscopeasc";
				document.frmviewall.hidsortuser.value="";
				document.frmviewall.hidsortdomain.value="";
				document.frmviewall.hidsortdate.value="";
			}
			else
			{
				document.frmviewall.hidsortscope.value="sortscopedesc";
				document.frmviewall.hidsortuser.value="";
				document.frmviewall.hidsortdomain.value="";
				document.frmviewall.hidsortdate.value="";
			}
			document.frmviewall.action="domainviewall.jsp?conditionid="+cond;
			document.frmviewall.submit();
		}


		//FUNCTION TO SORT DATE WISE
		function sortdate(id,cond)
		{
			if(id == "sortdateasc")
			{
				document.frmviewall.hidsortdate.value="sortdateasc";
				document.frmviewall.hidsortuser.value="";
				document.frmviewall.hidsortdomain.value="";
				document.frmviewall.hidsortscope.value="";
			}
			else
			{
				document.frmviewall.hidsortdate.value="sortdatedesc";
				document.frmviewall.hidsortuser.value="";
				document.frmviewall.hidsortdomain.value="";
				document.frmviewall.hidsortscope.value="";
			}
			document.frmviewall.action="domainviewall.jsp?conditionid="+cond;
			document.frmviewall.submit();
		}


		//FUNCTION TO SHOW HOW MANY PAGE LINKS ARE TO BE DISPLAYED 
		function changePage(pageno,min,pagingtype)
		{
			if(pagingtype == "pre")
			{
				document.frmviewall.hidpreminpage.value=pageno;
				document.frmviewall.hidpremin.value=min;
				document.frmviewall.hidpreminimum.value=min;
				document.frmviewall.action="domainviewall.jsp?conditionid=1";
				document.frmviewall.submit();
			}
			else if(pagingtype == "spam")
			{
				document.frmviewall.hidspamminpage.value=pageno;
				document.frmviewall.hidspammin.value=min;
				document.frmviewall.hidspamminimum.value=min;
				document.frmviewall.action="domainviewall.jsp?conditionid=2";
				document.frmviewall.submit();
			}
		}

		// FUNCTION TO SHOW DATA FOR PARTICULAR PAGE LINK
		function Page(min,max,pagingtype)
		{
			if(pagingtype == "pre")
			{
				document.frmviewall.hidpreminimum.value=min;
				document.frmviewall.hidNumRec.value=10;
				document.frmviewall.hidclicked.value=pagingtype;
				document.frmviewall.action="domainviewall.jsp?conditionid=1";
				document.frmviewall.submit();
			}
			
			else if(pagingtype == "spam")
			{
				document.frmviewall.hidspamminimum.value=min;
				document.frmviewall.hidNumRec.value=10;
				document.frmviewall.hidclicked.value=pagingtype;
				document.frmviewall.action="domainviewall.jsp?conditionid=2";
				document.frmviewall.submit();
			}
		}

		// FUNCTION TO DELETE ALL RECORDS OF THE PAGE
		function checkAllDelete()
		{
			var i;
			recordcount = document.frmviewall.totrecord.value;
			if(recordcount == 0)
			{}
			else
			{
				var alldelete = document.frmviewall.chkdelete;
				if(recordcount == 1)
				{
					if(document.frmviewall.chkalldelete.checked)
						alldelete.checked = true;
					else
						alldelete.checked = false;
				}
				else
				{
					if(document.frmviewall.chkalldelete.checked)
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = true;
						}
					}
					else
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = false;
						}
					}
				}
			}
		}

		function funload()
		{
			document.frmviewall.cmdSave.focus();
		}
	</script>

	<BODY onload="funload()">
		<FORM  method="post" name="frmviewall">
			<INPUT type="hidden" name="hidbtn">
			<INPUT type="hidden" name="hidsortuser" value="<%=srtuser%>">
			<INPUT type="hidden" name="hidsortdomain" value="<%=srtdomain%>">
			<INPUT type="hidden" name="hidsortscope" value="<%=srtscope%>">
			<INPUT type="hidden" name="hidsortdate" value="<%=srtdate%>">
			<INPUT type="hidden" name="hidcond" value="<%=conditionid%>">

			<INPUT type="hidden" name="hidpreminpage" value="<%=preminpage%>">
			<INPUT type="hidden" name="hidpremin" value="<%=premin%>">
			<INPUT type="hidden" name="hidpreminimum" value="<%=preminimum%>">
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">
			<INPUT type="hidden" name="hidclicked" value="<%=clicked%>">

			<INPUT type="hidden" name="hidspamminpage" value="<%=spamminpage%>">
			<INPUT type="hidden" name="hidspammin" value="<%=spammin%>">
			<INPUT type="hidden" name="hidspamminimum" value="<%=spamminimum%>">

			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><IMG src="images/img.gif" vspace=5 width="470" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="View All Whitelist_files/1x1.gif" width=1></TD></TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
<!-- FOR SERVER ADMINISTRATOR ADMINID = 1 -->
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="servermain.jsp">Server</TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
<!-- FOR DOMAIN ADMINISTRATOR ADMINID = 2 -->
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</A></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>    
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">Working in Domain: <domain:domaininfo domain_id="<%= domainid %>" /></TD>
<%
																		if(conditionid==1) // FOR PREAPPROVED SENDERS
																		{
%>
																			<TD align=right width="10%">
																				<A class=gridrowlink href="#?" onclick="openHelp('help/DomainPreapprovedHelp.htm')"style="FONT-WEIGHT: bold">Help</A>&nbsp;
																			</TD>
<%
																		}
																		else if(conditionid==2) // FOR SPAMMERS
																		{
%>
																			<TD align=right width="10%">
																				<A class=gridrowlink href="#?" onclick="openHelp('help/DomainSpammersHelp.htm')"style="FONT-WEIGHT: bold">Help</A>&nbsp;
																			</TD>
<%
																		}	
%>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Domain Admin-->
<%
							if(conditionid == 1)  // FOR PREAPPROVED SENDERS
							{
%>
								<% if (user_reg.equals("tempid")) { %>
									<domain:domainmenutemp showCurrPage="6"></domain:domainmenutemp>
								<% } else { %>
									<domain:domainmenu showCurrPage="6"></domain:domainmenu>
								<% } %>
<%
							}
							else
							{
%>
								<% if (user_reg.equals("tempid")) { %>
									<domain:domainmenutemp showCurrPage="7"></domain:domainmenutemp>
								<% } else { %>
									<domain:domainmenu showCurrPage="7"></domain:domainmenu>
								<% } %>
<%
							}   
%>
						</TD>
						<TD align=middle vAlign=top>
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR>
										<TD><!--Main Section-->
											<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%"><TBODY>
												<TR class=2nd_grid_head>
<%
												if(conditionid == 1)  // FOR PREAPPROVED SENDERS
												{
%>
													<TD align=middle colSpan=2 width="50%">Viewing All Pre-approved Senders</TD>
<%
												}
												else if(conditionid == 2)  // FOR SPAMMERS
												{
%>	
													<TD align=middle colSpan=2 width="50%">Viewing All Spammers</TD>
<%
												}	 
%>	
												</TR>
<%
												if(conditionid == 1)  // FOR PREAPPROVED SENDERS
												{
%>		
													<TR class=viewall_links>
														<TD align=left colSpan=2 height=2 width="50%">
															<A id=lnkPreapproved>Pre-approved</A>&nbsp; 
															<A href="domainviewall.jsp?conditionid=2" id=lnkSpammers>Spammers</A>&nbsp; 
															<A href="domaincustomview.jsp" id=lnkCustSearch>Search</A> <BR>&nbsp; 
														</TD>
													</TR>
<%
												}
												else if(conditionid == 2 )  // FOR SPAMMERS
												{
%>
													<TR class=viewall_links>
														<TD align=left colSpan=2 height=2 width="50%">
															<A href="domainviewall.jsp?conditionid=1" id=lnkPreapproved>Pre-approved</A>&nbsp;
															<A id=lnkSpammers>Spammers</A>&nbsp; 
															<A href="domaincustomview.jsp" id=lnkCustSearch>Search</A> <BR>&nbsp; 
														</TD>
													</TR>
<%
												}
												if(conditionid == 1)  // FOR PREAPPROVED SENDERS
												{
%>	
													<TR>
														<TD align=left colSpan=2 width="50%"> 
															<TABLE border=1 cellPadding=1 cellSpacing=0 id=Grid1_PUVGrid rules=cols style="BORDER-COLLAPSE: collapse; WIDTH: 100%">
																<TBODY>
																	<TR class=1stgrid_head id=headerPanel>
																		<TD align=middle colSpan=6 width="100%">Pre-approved Senders</TD>
																	</TR>
																	<TR class=2nd_griditem_head style="FONT-WEIGHT: bold">
																		<% if(srtuser.equals("sortuserdesc")) { %>			 
																			<TD style="WIDTH: 24%"><A href="javascript:onclick=sortuser('sortuserasc','1')"> User Id <IMG id=sortuserasc border=0 src="images/sort_down_on.gif" width="7" height="4" ></IMG></A></TD>
																		<% } else if(srtuser.equals("sortuserasc")) {	%>	
																			<TD style="WIDTH: 24%"><A href="javascript:onclick=sortuser('sortuserdesc','1')"> User Id <IMG id=sortuserdesc border=0 src="images/sort_up_on.gif" width="7" height="4" ></IMG></A></TD>
																		<% } else { %>
																			<TD style="WIDTH: 24%"><A href="javascript:onclick=sortuser('sortuserdesc','1')"> User Id</A></TD>
																		<% } %>
																		<% if(srtdomain.equals("sortdomaindesc")) {	%>	
																			<TD style="WIDTH: 29%"><A href="javascript:onclick=sortdomain('sortdomainasc','1')">Domain <IMG id=sortdomainasc border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else if(srtdomain.equals("sortdomaindesc")) {	%>	
																			<TD style="WIDTH: 29%"><A href="javascript:onclick=sortdomain('sortdomaindesc','1')">Domain <IMG id=sortdomaindesc border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else { %>
																			<TD style="WIDTH: 29%"><A href="javascript:onclick=sortdomain('sortdomaindesc','1')">Domain</A></TD>
																		<% } %>
																		<% if(srtdate.equals("sortdatedesc")) {	%>	
																			<TD style="WIDTH: 22%"><A href="javascript:onclick=sortdate('sortdateasc','1')">Date of Entry <IMG id=sortdateasc border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else if(srtdate.equals("sortdateasc")) { %>	
																			<TD style="WIDTH: 22%"><A href="javascript:onclick=sortdate('sortdatedesc','1')">Date of Entry <IMG id=sortdatedesc border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else { %>
																			<TD style="WIDTH: 22%"><A href="javascript:onclick=sortdate('sortdatedesc','1')">Date of Entry</A></TD>
																		<% } %>
																			<TD style="WIDTH: 7%">Policy </TD>
																		<% if(srtscope.equals("sortscopedesc"))	{ %>	
																			<TD style="WIDTH: 11%"><A href="javascript:onclick=sortscope('sortscopeasc','1')">Scope <IMG id=sortscopeasc border=0 src="images/sort_down_on.gif" width="7" height="4" ></IMG></A></TD>
																		<% } else if(srtscope.equals("sortscopedesc")) {	%>	
																			<TD style="WIDTH: 11%"><A href="javascript:onclick=sortscope('sortscopedesc','1')">Scope <IMG id=sortscopedesc border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else { %>
																			<TD style="WIDTH: 11%"><A href="javascript:onclick=sortscope('sortscopedesc','1')">Scope</A></TD>
																		<% } %>
																		<TD style='WIDTH: 7%'><p align="center"><INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"><br>Delete All</p></TD>
																	</TR>
<%
												}
												else
												{
%>
													<TR>
														<TD align=left colSpan=2 width="50%"> 
															<TABLE border=1 cellPadding=1 cellSpacing=0 id=Grid1_PUVGrid rules=cols style="BORDER-COLLAPSE: collapse; WIDTH: 100%">
																<TBODY>
																	<TR id=headerPanel class=1stgrid_head-spam>
																		<TD align=middle colSpan=6 width="100%">Spammers</TD>
																	</TR>
																	<TR class=2nd_griditem_head-spam style="FONT-WEIGHT: bold">
																		<% if(srtuser.equals("sortuserdesc")) { %>			 
																			<TD style="WIDTH: 24%"><A href="javascript:onclick=sortuser('sortuserasc','2')"> User Id <IMG id=sortuserasc border=0 src="images/sort_down_on.gif" width="7" height="4" ></IMG></A></TD>
																		<% } else if(srtuser.equals("sortuserasc")) {	%>	
																			<TD style="WIDTH: 24%"><A href="javascript:onclick=sortuser('sortuserdesc','2')"> User Id <IMG id=sortuserdesc border=0 src="images/sort_up_on.gif" width="7" height="4" ></IMG></A></TD>
																		<% } else { %>
																			<TD style="WIDTH: 24%"><A href="javascript:onclick=sortuser('sortuserdesc','2')"> User Id</A></TD>
																		<% } %>
																		<% if(srtdomain.equals("sortdomaindesc")) {	%>	
																			<TD style="WIDTH: 29%"><A href="javascript:onclick=sortdomain('sortdomainasc','2')">Domain <IMG id=sortdomainasc border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else if(srtdomain.equals("sortdomainasc")) {	%>	
																			<TD style="WIDTH: 29%"><A href="javascript:onclick=sortdomain('sortdomaindesc','2')">Domain <IMG id=sortdomaindesc border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else { %>
																			<TD style="WIDTH: 29%"><A href="javascript:onclick=sortdomain('sortdomaindesc','2')">Domain</A></TD>
																		<% } %>
																		<% if(srtdate.equals("sortdatedesc")) { %>	
																			<TD style="WIDTH: 22%"><A href="javascript:onclick=sortdate('sortdateasc','2')">Date of Entry <IMG id=sortdateasc border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else if(srtdate.equals("sortdateasc")) {	%>	
																			<TD style="WIDTH: 22%"><A href="javascript:onclick=sortdate('sortdatedesc','2')">Date of Entry <IMG id=sortdatedesc border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else { %>
																			<TD style="WIDTH: 22%"><A href="javascript:onclick=sortdate('sortdatedesc','2')">Date of Entry</A></TD>
																		<% } %>
																			<TD style="WIDTH: 7%">Policy </TD>
																		<% if(srtscope.equals("sortscopedesc"))	{ %>	
																			<TD style="WIDTH: 11%"><A href="javascript:onclick=sortscope('sortscopeasc','2')">Scope <IMG id=sortscopeasc border=0 src="images/sort_down_on.gif" width="7" height="4" ></IMG></A></TD>
																		<% } else if(srtscope.equals("sortscopeasc")) {	%>	
																			<TD style="WIDTH: 11%"><A href="javascript:onclick=sortscope('sortscopedesc','2')">Scope <IMG id=sortscopedesc border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></A></TD>
																		<% } else { %>
																			<TD style="WIDTH: 11%"><A href="javascript:onclick=sortscope('sortscopedesc','2')">Scope</A></TD>
																		<% } %>
																		<TD style='WIDTH: 7%'><p align="center"><INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"><br>Delete All</p></TD>
																	</TR>
<%
												}	
												if(conditionid == 1)  // FOR PREAPPROVED SENDERS
												{
%>
<!-- TAG HANDLER FOR PREAPPROVED SENDERS-->
													<domain:preapproved minimum="<%=preminimum%>" noofrecpre = "0" domainid = "<%=domainid%>" conditionid = "1" txtusername = "<%=pretxtusername%>" hidshowallbtn = "<%=prehidshowallbtn%>" sortuser="<%=srtuser%>" sortscope="<%=srtscope%>" sortdomain="<%=srtdomain%>" sortdate="<%=srtdate%>">
<%
													if(MailerID.equals("0"))
													{}
													else
													{
														String gridclass = "";
														i++;
														if (i%2 != 0)
															gridclass = "gridrow2";
														else
															gridclass = "gridrow1";

														incr++; 	
%>
														<INPUT type="hidden" name="txtdomainaslid" value="<%=DomainASLID%>">
														<TR id="noofrecord<%=incr%>" class = <%=gridclass%>>
															<TD><%=MailerID%></TD>
															<TD><%=MailerDomain%></TD>
															<TD><%=Date_Insersion%></TD>
															<TD><input checked type = "radio" title="Make this email address 'pre-approved'. All email from this sender is welcome" name = "radpolicy<%=incr%>" value="1">P<input type = "radio" name = "radpolicy<%=incr%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" value="2">S
															</TD>
<%	
															if(Integer.parseInt(ApprovalID) == 1)
															{
%>	
																<TD><input checked type = "radio" name = "radscope<%=incr%>" title="Apply policy to this email address only" value="1">E<input type = "radio" name = "radscope<%=incr%>" title="Apply policy to the entire domain(organization)" value="2">D<input type = "radio" name = "radscope<%=incr%>" title="Apply policy to the domain AND any subdomains" value="3">S</TD>
<%
															}
															else if(Integer.parseInt(ApprovalID) == 2)
															{
%>
																<TD><input type = "radio" name = "radscope<%=incr%>" title="Apply policy to this email address only" value="1">E<input checked type = "radio" name = "radscope<%=incr%>" title="Apply policy to the entire domain(organization)" value="2">D<input type = "radio" name = "radscope<%=incr%>" title="Apply policy to the domain AND any subdomains" value="3">S</TD>
<%
															}
															else if(Integer.parseInt(ApprovalID) == 3)
															{
%>
																<TD><input type = "radio" name = "radscope<%=incr%>" title="Apply policy to this email address only" value="1">E<input type = "radio" name = "radscope<%=incr%>" title="Apply policy to the entire domain(organization)" value="2">D<input checked type = "radio" name = "radscope<%=incr%>" title="Apply policy to the domain AND any subdomains" value="3">S</TD>
<%
															}
%>
															<TD align="center">
																<input type="checkbox" name="chkdelete" value=<%=DomainASLID%>>
															</TD>
														</TR>
<%
													}
%>
													</domain:preapproved>
<%
												}	
												if(conditionid == 1)  // FOR PREAPPROVED SENDERS
												{
													prerecords = Expr5.intValue();
%>
													<tr class='footer' align='Right' style='font-weight:bold;'>
														<td colspan='7' >
															<!-- TAG HANDLER FOR PAGING-->
															<utility:paging totalrecords="<%=prerecords%>" minpage="<%=preminpage%>" min="<%=premin%>" pagingtype="pre" 
															txtNumRec="<%=NumRec%>"
															clicked ="<%=clicked%>"/>
														</td>
													</tr>
<%
												}	
												if(conditionid == 2)  //FOR SPAMMERS
 
												{
%>
<!-- TAG HANDLER FOR SPAMMERS-->
													<domain:spammer minimum="<%=spamminimum%>" noofrecpre = "0" domainid = "<%=domainid%>" conditionid = "2" txtusername = "<%=pretxtusername%>" hidshowallbtn = "<%=prehidshowallbtn%>" sortuser="<%=srtuser%>" sortscope="<%=srtscope%>" sortdomain="<%=srtdomain%>" sortdate="<%=srtdate%>">
<%
													if(MailerID.equals("0"))
													{}
													else
													{
														String gridclassspam = "";
														i++;
														if (i%2 != 0)
															gridclassspam = "gridrow2";
														else
															gridclassspam = "gridrow1-spam";

														incr++; 	
%>
														<INPUT type="hidden" name="txtdomainaslid" value="<%=DomainASLID%>">
														<TR id="noofrecord<%=incr%>" class = <%=gridclassspam%>>
															<TD><%=MailerID%></TD>
															<TD><%=MailerDomain%></TD>
															<TD><%=Date_Insersion%></TD>
															<TD><input type = "radio" name = "radpolicy<%=incr%>" title="Make this email address 'pre-approved'. All email from this sender is welcome" value="1">P<input checked type = "radio" name = "radpolicy<%=incr%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" value="2">S</TD>
<%	
															if(Integer.parseInt(ApprovalID) == 1)
															{
%>	
																<TD><input checked type = "radio" name = "radscope<%=incr%>" title="Apply policy to this email address only" value="1">E<input type = "radio" name = "radscope<%=incr%>" title="Apply policy to the entire domain(organization)" value="2">D<input type = "radio" name = "radscope<%=incr%>" title="Apply policy to the domain AND any subdomains" value="3">S</TD>
<%
															}
															else if(Integer.parseInt(ApprovalID) == 2)
															{
%>
																<TD><input type = "radio" name = "radscope<%=incr%>" title="Apply policy to this email address only" value="1">E<input checked type = "radio" name = "radscope<%=incr%>" title="Apply policy to the entire domain(organization)" value="2">D<input type = "radio" name = "radscope<%=incr%>" title="Apply policy to the domain AND any subdomains" value="3">S</TD>
<%
															}
															else if(Integer.parseInt(ApprovalID) == 3)
															{
%>
																<TD><input type = "radio" name = "radscope<%=incr%>" title="Apply policy to this email address only" value="1">E<input type = "radio" name = "radscope<%=incr%>" title="Apply policy to the entire domain(organization)" value="2">D<input checked type = "radio" name = "radscope<%=incr%>" title="Apply policy to the domain AND any subdomains" value="3">S</TD>
<%
															}
%>
															<TD align="center">
																<input type="checkbox" name="chkdelete" value=<%=DomainASLID%>>
															</TD>
														</TR>
<%
													}
%>
													</domain:spammer>
<%
												}	
												if(conditionid == 2)  // FOR SPAMMERS
												{
													spamrecords = Expr6.intValue();
%>
													<tr class='footer' align='Right' style='font-weight:bold;'>
														<td colspan='7' >
															<utility:paging totalrecords="<%=spamrecords%>" minpage="<%=spamminpage%>" min="<%=spammin%>" pagingtype="spam" 
															txtNumRec="<%=NumRec%>"
															clicked ="<%=clicked%>"/>
														</td>
													</tr>
<%
												}	
%>
												</tr>
											</TABLE>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=middle height=7></TD>
													</TR>
													<TR>
														<TD align=middle height=20 vAlign=top><BR></TD>
													</TR>
													<TR class=generalbody>
														<TD align="middle" class="errmsg"><font size=2><%=message%></font></TD>
													</TR>
													<TR>
														<TD align=middle>
															<INPUT class=btn id=cmdSave name=cmdSave type=button value="Save Changes" onclick="funsave();return false">
															<INPUT class=btn id=cmdDelete name=Grid1:cmdDelete type=button value="Delete Checked" onclick="fundelete();return false"> 
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD></TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
			<INPUT type="hidden" name="totrecord" value=<%=incr%>>
		</FORM>
	</BODY>
</HTML>
<%
}
%>