<%
/********************************************************************************/
/* Name			:ServerAddUser.jsp												*/
/* Copyright	:2005 DATA INFOCOM LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Kishan Kumar Meena												*/
/* Last Updated	:13/04/2006														*/
/* Abstract		:Get User Details												*/
/* Called from	:dashboardlogin.jsp												*/
/* Calls		:																*/
/********************************************************************************/
%>

<%@ taglib prefix="server" uri="/WEB-INF/TLDS/server.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id = "settingid" scope = "page" class = "com.antispam.ServerAddUser" />
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />

<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
if(userid==0 || adminid!=1)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int domain_id = validate.getDomainid();

	settingid.setDomainid(domain_id);
	settingid.selectDefault();

	String message = "";
	if(request.getParameter("msg") != null)
		message = request.getParameter("msg");
%>
<HTML>
	<HEAD>
		<TITLE>Add User</TITLE>
		<LINK href="stylesheets/display_control.css" type=text/css rel=stylesheet>
	</HEAD>
	<SCRIPT language=javascript id=valIp src="scripts/ValidationScript.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript id=valIp src="scripts/validations.js"></SCRIPT>

	<SCRIPT language=javascript>

		/**/
		

		function chksettings()
		{
			document.frmMain.txtemailname.value=trim(document.frmMain.txtemailname.value);
			document.frmMain.txtfname.value=trim(document.frmMain.txtfname.value);
			document.frmMain.txtlname.value=trim(document.frmMain.txtlname.value);
			document.frmMain.txtemailsubject.value=trim(document.frmMain.txtemailsubject.value);

			if(document.frmMain.sendalsochallenge.checked==true)
				document.frmMain.hidsendalsochallenge.value='Y';
			else
				document.frmMain.hidsendalsochallenge.value='N';

			if(document.frmMain.chkpassiveflag.checked == true)

				document.frmMain.passiveflag.value = "y";
				else
				document.frmMain.passiveflag.value = "n";


			if(document.frmMain.txtemailname.value=="")
			{
				alert("Enter Email Address");
				document.frmMain.txtemailname.focus();
				return false;
			}
			else if(spcharvalidate(document.frmMain.txtemailname.value,"")==true)
			{
				alert("Speacial character found");
				document.frmMain.txtemailname.focus();
				return false;
			}		
			else if(document.frmMain.txtfname.value=="")
			{
				alert("Enter First Name");
				document.frmMain.txtfname.focus();
				return false;
			}
			else if(spcharvalidate(document.frmMain.txtfname.value,"")==true)
			{
				alert("Speacial character found");
				document.frmMain.txtfname.focus();
				return false;
			}
			else if(document.frmMain.txtlname.value=="")
			{
				alert("Enter Last Name");
				document.frmMain.txtlname.focus();
				return false;
			}
			else if(spcharvalidate(document.frmMain.txtlname.value,"")==true)
			{
				alert("Speacial character found");
				document.frmMain.txtlname.focus();
				return false;
			}
			else if(document.frmMain.txtemailsubject.value=="")
			{
				alert("Enter Email Subject");
				document.frmMain.txtemailsubject.focus();
				return false;
			}
			else if(document.frmMain.txtemailbody.value=="")
			{
				alert("Enter Email Body");
				document.frmMain.txtemailbody.focus();
				return false;
			}	
			else if(document.frmMain.txtchallengewebpage.value=="")
			{
				alert("Enter Challenge WebPage Content");
				document.frmMain.txtchallengewebpage.focus();
				return false;
			}	
			else if(document.frmMain.txtapprovalwebpage.value=="")
			{
				alert("Enter Approval WebPage Content");
				document.frmMain.txtapprovalwebpage.focus();
				return false;
			}	
			else if(document.frmMain.txtalreadywebpage.value=="")
			{
				alert("Enter Already WebPage Content");
				document.frmMain.txtalreadywebpage.focus();
				return false;
			}	
			else if(document.frmMain.txtfailedwebpage.value=="")
			{
				alert("Enter Failed WebPage Content");
				document.frmMain.txtfailedwebpage.focus();
				return false;
			}
			else if(document.frmMain.txtCarbonCopy.value != "")
			{
				if(emailcheck(document.frmMain.txtCarbonCopy.value)==false)
				{
					document.frmMain.txtCarbonCopy.focus();
					return false;
				}
			}
			else if(document.frmMain.chkAdditional.checked == true)
			{

				if(document.frmMain.checkfwdmail[0].checked == false && document.frmMain.checkfwdmail[1].checked == false)
				{
					alert("Please select a option.");
					return false;
				}

				if(document.frmMain.checkfwdmail[0].checked == false)
					document.frmMain.txtAlternateto.value = "";
				else
				{
					if(document.frmMain.txtAlternateto.value == "")
					{
						alert("Please Enter A Address");
						document.frmMain.txtAlternateto.focus();
						return false;
					}
				}
				
					
				if(document.frmMain.checkfwdmail[1].checked == true)
					document.frmMain.quaranstatus.value = "y";
				else
					document.frmMain.quaranstatus.value = "n";

			}
			else
			{
				document.frmMain.quaranstatus.value = "n";
				document.frmMain.txtAlternateto.value = "";
			}

			if(document.frmMain.txtAlternateEmail.value != "")
			{
				if(emailcheck(document.frmMain.txtAlternateEmail.value)==false)
				{
					document.frmMain.txtAlternateEmail.focus();
				}
				else
				{
					window.document.frmMain.submit();
				}
			}
			else
			{
				document.frmMain.submit(); 
			}
		}
		function help()
		{
			//window.open("help/ServerAddUserHelp.htm","","toolbar=no")
		}

        function select()
		{
			var Qtime;
			var Ptext;
			var val = document.frmMain.cbodomains.value;
			
			for(i=0;i < Arr.length;i++)
			{
				if(Arr[i][0]==val)
				{
					Qtime = Arr[i][2];
					Ptext = Arr[i][1];
					document.getElementById("pass1").innerHTML="Passive: Accept email from everyone but add 	'["+Ptext+"]' to the subject line from unknown senders.";

					document.getElementById("pass2").innerHTML="<input type='radio' name='passivestatus' value='0' checked disabled> Insert text ["+Ptext+"] to beginning of subject line.";

					document.getElementById("pass3").innerHTML="<input type='radio' name='passivestatus' value='1' disabled> Append text ["+Ptext+"] end of subject line.";

					document.getElementById("pass4").innerHTML="<fieldset style='padding: 2'><legend><INPUT type='checkbox' name= 'chkAdditional' onclick='checkAdditional()' disabled>Additional Action </legend><input type='radio' name='checkfwdmail' value='2' onclick='check3()' disabled>Forward Unknown Emails To <INPUT class=textInpt name=txtAlternateto  size='20' readOnly><STRONG>@</STRONG><SELECT class=combox id=AddUsr_cmbDomains name=cmbdomains><option value='1'>none</option></SELECT><br><br><INPUT type='radio' name= 'checkfwdmail' value='1' onclick='check2()' disabled> Move to Quarantine Folder (Delete mail older then "+Qtime+" days).</fieldset>";

				}
					
			}
			document.frmMain.cmbdomains.options[document.frmMain.cmbdomains.selectedIndex].text=document.frmMain.cbodomains.options[document.frmMain.cbodomains.selectedIndex].text

			document.frmMain.cmbdomains.options[document.frmMain.cmbdomains.selectedIndex].value
			=document.frmMain.cbodomains.options[document.frmMain.cbodomains.selectedIndex].value
		}

		function setFocus()
		{
			document.frmMain.txtemailname.focus();
		}
		//FUNCTION TO CHECK VALID EMAIL ADDRESS
		function emailcheck(emailStr) 
		{
			var FormData=document.frmMain
			var dot=0
			var at2=0
			var at
			var emailPat=/^(.+)@(.+)$/
			var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
			var validChars="\[^\\s" + specialChars + "\]"
			var quotedUser="(\"[^\"]*\")"
			var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
			var atom=validChars + '+'
			var word="(" + atom + "|" + quotedUser + ")"
			var userPat=new RegExp("^" + word + "(\\." + word + ")*$")
			var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$")
			var matchArray=emailStr.match(emailPat)

			if (matchArray==null) 
			{
				alert("Email address seems incorrect (check @ and .'s)")
				return false
			}
			var user=matchArray[1]
			var domain=matchArray[2]
			if (user.match(userPat)==null) 
			{
				alert("The username doesn't seem to be valid.")
				document.frmMain.txtCarbonCopy.focus();
					return false
			}
			var IPArray=domain.match(ipDomainPat)
			if (IPArray!=null) 
			{
				for (var i=1;i<=4;i++) 
				{
					if (IPArray[i]>255) 
					{
						alert("Destination IP address is invalid!")
						return false
					}
				}
				return true
			}
			var domainArray=domain.match(domainPat)
			if (domainArray==null) 
			{
				alert("The domain name doesn't seem to be valid.")
				document.frmMain.txtCarbonCopy.focus();
				return false
			}

			var atomPat=new RegExp(atom,"g")
			var domArr=domain.match(atomPat)
			var len=domArr.length
			
			if (domArr[domArr.length-1].length<2) 
			{
				alert("Invalid domain, it must be a two letter country or ore more than two letter domain.")
				return false
			}

			if (len<2) 
			{
				var errStr="This address is missing a hostname!"
				alert(errStr)
				return false
			}
		}
		function check()
		{ 
			if(document.frmMain.passivestatus[2].checked)
				document.frmMain.txtAlternateto.readOnly= false;
			else
				document.frmMain.txtAlternateto.readOnly= true;   
		}

		function checkstatus()
		{
			if(document.frmMain.radstatus[1].checked)
			{
				document.frmMain.sendalsochallenge.disabled = false;
			}
			else
			{
				document.frmMain.sendalsochallenge.disabled = true; 
			}

			if(document.frmMain.radstatus[2].checked)
			{
				document.frmMain.passivestatus[0].disabled = false;
				document.frmMain.passivestatus[1].disabled = false;

				document.frmMain.chkpassiveflag.disabled = false;
				document.frmMain.chkAdditional.disabled = false;
			}
			else
			{
				document.frmMain.passivestatus[0].disabled = true;
				document.frmMain.passivestatus[1].disabled = true;

				document.frmMain.checkfwdmail[0].disabled = true;
				document.frmMain.checkfwdmail[1].disabled = true;
				document.frmMain.chkpassiveflag.disabled = true;
				document.frmMain.chkAdditional.disabled = true;
				
			}
			document.frmMain.txtAlternateto.readOnly= true;
		}

		function check3()
		{
				document.frmMain.txtAlternateto.readOnly= false;
		}

		function check2()
		{
				document.frmMain.txtAlternateto.readOnly= true;
		}

	function checkAdditional()
	{
		if(document.frmMain.chkAdditional.checked == true)
		{
			document.frmMain.checkfwdmail[0].disabled = false;
			document.frmMain.checkfwdmail[1].disabled = false;
			document.frmMain.txtAlternateto.readOnly= false;
		}
		else
		{
			document.frmMain.checkfwdmail[0].disabled = true;
			document.frmMain.checkfwdmail[1].disabled = true;
			document.frmMain.txtAlternateto.readOnly= true;
		}

	}
	</SCRIPT>

	<BODY onload="setFocus();checkstatus()">
		<FORM id=frmMain name=frmMain action="interServerAddUser.jsp?from='S'" method=post>
			<INPUT type=hidden name=quaranstatus>
			<INPUT type=hidden name=passiveflag>
			<INPUT type=hidden name=hidsendalsochallenge>
			<INPUT type=hidden name=hidquarantined>

			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="470" height="48"></TD>
														<TD align=right vAlign=top width="48%"><img border="0" src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Add User_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
													<TBODY>
														<TR>
															<% if (adminid == 1) { %>
																<TD align=left vAlign=bottom width="33%">
																	<DIV class=header id=TopBanner_UserPanel>
																		<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																			<TBODY>
																				<TR>
																					<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																					<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																					<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																				</TR>
																			</TBODY>
																		</TABLE>
																	</DIV>
																</TD>
																<TD width="33%">
																	<DIV class=header id=TopBanner_DomainPanel>
																		<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																			<TBODY>
																				<TR>
																					<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																					<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</a></TD>
																					<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																				</TR>
																			</TBODY>
																	</TABLE>
																	</DIV>
																</TD>
																<TD width="34%">
																	<DIV class=header_active id=TopBanner_ServerPanel>
																		<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																			<TBODY>
																				<TR>
																					<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																					<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																					<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																				</TR>
																			</TBODY>
																		</TABLE>
																	</DIV>
																</TD>
																<TD width="34%"></TD>
															<% } %>
														</TR>
														<TR>
															<TD colSpan=3>
																<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR class=blanktd>
																			<spam:UserInfo userid="<%= userid %>">
																				<TD width="90%">Logged in as: <%= username %>@<%=domainname%> on Server: <%=request.getServerName()%></TD>
																			</spam:UserInfo>
																			<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerAddUserHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																		</TR>
																		<TR>
																			<TD bgColor=#330099 colSpan=2></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</TD>
														</TR>
													</TBODY>
												</TABLE>
											</TD>
										</TR>
									</TBODY>
								</TABLE>
							</TD>
						</TR>
						<TR>
							<TD class=navbg><!--For the menu--><!--Menu for Server Admin-->
								<server:servermenu showCurrPage="3" />
							</TD>
							<TD vAlign=top align=middle><!--Main Section-->
								<TABLE cellSpacing=2 cellPadding=0 width="100%" border=0>
									<TBODY>
										<TR>
											<TD>
												<TABLE id=Table1 cellSpacing=0 cellPadding=0 width="100%" border=0>
													<TBODY>
														<TR class=2nd_grid_head>
															<TD align=left width="33%" colSpan=3 height=16>
																<P align=center>Add User</P>
															</TD>
														</TR>
														<TR>
															<TD colSpan=3>
																<TABLE cellSpacing=2 cellPadding=0 width="100%" border=0>
																	<TBODY>
																		<TR>
																			<TD width="100%">
																				<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
																					<TBODY>
																						<TR class=generalbody-gray>
																							<TD vAlign=top width="30%"> Internet Email Address	</TD>
																							<TD width="30%" id="inter">
																							fdfs
																							</td>
																							</TR>

																				<TR class=generalbody>
																				<TD vAlign=top width="30%"> First Name </TD>
																				<TD width="70%" colSpan=2>
																					<INPUT class=textinpt id=AddUsr_txtFName style="WIDTH: 250px" maxLength=50 name=txtfname size="20">&nbsp;
																					</TD>
																					</TR>
																					<TR class=generalbody-gray>
																					<TD vAlign=top width="30%"> Last Name </TD>
																					<TD width="70%" colSpan=2>
																				<INPUT class=textinpt id=AddUsr_txtLName style="WIDTH: 250px" maxLength=50 name=txtlname size="20">&nbsp;
																				</TD>
																				</TR>
																<TR class=generalbody>
																	<TD vAlign=top width="30%">Forward all email to <BR> this address:</TD>
																			<TD vAlign=top width="70%" colSpan=2><INPUT class=textInpt id=taSubject0 maxLength=255 name=txtCarbonCopy style="WIDTH: 250px" size="20"></TD>
																			</TR>
																			<TR class=generalbody-gray>
												                                 <TD vAlign=top width="30%">Alternate FROM email <BR>address:</TD>
												                                 <TD colspan=2 width="70%"><INPUT class=textInpt id=AddUsr_txtEmail maxLength=20 name=txtAlternateEmail style="WIDTH: 250px" size="20" ></TD>
											                                     </TR>
																				 <TR class=generalbody>
												                                  <TD vAlign=top width="30%">&nbsp;</TD>
												                                 <TD vAlign=top width="70%">Enter the FROM email address you prefer to display on your Challenge emails instead of the system default, "Internet Email Address" above.</TD>
											                                     </TR>
																						<DIV id=AddUsr_pnladmin></DIV>
																						<TR>
																						<TD class=generalbody-gray style="HEIGHT: 20px" vAlign=top width="30%"> Authority </TD>
																					<TD class=generalbody-gray style="HEIGHT: 20px" width="70%" colSpan=2>
																					<INPUT id=AddUsr_rdAdminU type=radio value=3 name=radauthority>
																					<LABEL for=AddUsr_rdAdminU>Normal User</LABEL> 
																					<INPUT id=AddUsr_rdAdminD type=radio value=2 name=radauthority>
																					<LABEL for=AddUsr_rdAdminD>Domain Administrator</LABEL> 
																					<INPUT id=AddUsr_rdAdminA type=radio value=1 name=radauthority checked>
																					<LABEL for=AddUsr_rdAdminA>Server Administrator</LABEL>
																							</TD>
																						</TR>
																				<TR class=generalbody>
																						<TD vAlign=top width="30%">Auto Approve on CC</TD>
																							<TD width="70%" colSpan=2>
																					<SPAN align="left">If someone from my organization (domain) sends an 
																					email that includes my address on the TO or CC 
																					line, all the recipients are pre-approved to send 
																					me a reply or subsequent email.
																					</SPAN><BR>
																					<INPUT id=AddUsr_rdApproveY type=radio CHECKED value=rdApproveY name=radautoapprove>
																					<LABEL for=AddUsr_rdApproveY>Yes</LABEL>
																					<INPUT id=AddUsr_rdApproveN type=radio value=rdApproveN name=radautoapprove>
																					<LABEL for=AddUsr_rdApproveN>No</LABEL>
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																				<TD vAlign=top width="30%">Status</TD>
																				<TD width="70%" colSpan=2>
																					<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0><TBODY>
																				<TR
																		class=generalbody-gray>
																				<TD>											<INPUT id=AddUsr_rdStatus1 type=radio CHECKED value=1 name=radstatus onclick="checkstatus()"></TD>								<TD>Active: Unknown senders must validate themselves in order to send email to me</TD> </TR>
																				<TR class=generalbody-gray>     
																<TD>
																	<INPUT id=AddUsr_rdStatus5 name=radstatus type=radio value=5 onclick="checkstatus()"></TD>
																	<TD>Greylist:Unknown senders will 
																be reected with a 450 smtp error of
																specified amount of time </TD>     
																</TR>
																<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD><INPUT type="checkbox" name= "sendalsochallenge" >Send challenge to unknown sender.</TD>
															</TR>
																				
																				<TR
																				class=generalbody-gray>							<TD>					<INPUT id=AddUsr_rdStatus2 type=radio value=2 name=radstatus onclick="checkstatus()"></TD>											<TD id="pass1">Passive: Accept email from everyone but add 	'[Unknown]' to the subject line from unknown senders									</TD>					</TR>				
																				<TR class=generalbody-gray>	<TD>&nbsp;</TD>			<TD id="pass2"><input type="radio" name="passivestatus" value="0" checked>Insert text [UNKNOWN] to beginning of subject line</TD>	</TR>			
																				<TR class=generalbody-gray>					<TD>&nbsp;</TD>		<TD id="pass3"><input type="radio" name="passivestatus" value="1">Append text [UNKNOWN] end of subject line</TD></TR>

																				<TR class=generalbody-gray>
																				<TD>&nbsp;</TD>
																				<TD><INPUT type="checkbox" name= "chkpassiveflag" value="2">Send Challange Mail.</TD>
																				</TR>
																				
																							<TR class=generalbody-gray>
																			<TD>&nbsp;</TD>
																			<TD id="pass4">
																			<fieldset style="padding: 2"><legend>
																			<INPUT type="checkbox" name= "chkAdditional" onclick="checkAdditional()">Additional Action </legend>

																			<input type="radio" name="checkfwdmail" value="2" onclick="check3()">Forward Unknown Emails To <INPUT class=textInpt  name=txtAlternateto  size="20"  ><STRONG>@</STRONG>
																				 <SELECT class=combox id=AddUsr_cmbDomains name=cmbdomains>
																				 <option value="1">none</option>
																				 </SELECT>
																			<br><br>
																			<INPUT type="radio" name= "checkfwdmail" value="1" onclick="check2()"> Move to Quarantine Folder (Delete mail older then  days).
																			
																			</fieldset>
																			</TD>
																		</TR>

																				
																				<TR class=generalbody-gray>	<TD>					<INPUT id=AddUsr_rdStatus3 type=radio value=3 name=radstatus onclick="checkstatus()">					</TD>
																				<TD>Silent: Accept all email </TD>
																				</TR>
																				<TR class=generalbody-gray>
																                <TD><INPUT id=rdStatus4 name=radstatus type=radio value=4 onclick="checkstatus()"></TD>
																               <TD>Pass Through: Accept all email. Do not add to my white list. </TD>
															         </TR>
																				</TBODY>
																						</TABLE>
																							</TD>
																						</TR>
																				<TR class=generalbody>
																				<TD vAlign=top>Keymails</TD>
																				<TD colspan=2>
																				<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber1" height="57">
																			<tr class=generalbody>									<td width="5%" height="19"><input type="radio" name="keymails" value="0" checked></td>									<td width="95%" height="19">Insert: Insert keymail to the beginning of the subject line email to me</td>												</tr>				
																			<tr class=generalbody>									<td width="5%" height="19"><input type="radio" name="keymails" value="1"></td>
																			<td width="95%" height="19">Append: Append keymail to the end of the subject line</td>		</tr>						<tr class=generalbody>									<td width="5%" height="19"><input type="radio" name="keymails" value="2"></td>											<td width="95%" height="19">Do not put email to subject line</td>								</tr>						</table>					</TD>
																			</TR>
																		      <TR class=generalbody-gray>
																				<TD vAlign=top>Keymails Status</TD>
																				<TD colspan=2>
																				<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber2">
																				<tr class=generalbody-gray>	<td width="5%" rowspan="2" height="22" valign=top>Keymail Expired</td>									<td width="5%" height="22"><input type="radio" name="allwd_exp_keymails" value="0" checked></td>			<td width="90%" height="22">Do not allow me to send emails using Expired keymails</td>				</tr>								<tr class=generalbody-gray>							<td width="5%" height="22"><input type="radio" name="allwd_exp_keymails" value="1"></td>								<td width="90%" height="22">Allow me to send emails using Expired keymails </td>	</tr>			<tr class=generalbody-gray>	<td width="5%" rowspan="2" height="22" valign=top>Keymail Limited</td>									<td width="5%" height="22"><input type="radio" name="allwd_lmt_keymails" value="0" checked></td>
																				<td width="90%" height="22">Do not allow me to send emails using limited keymails (when limit has reached)</td>												</tr>
																				<tr class=generalbody-gray>							<td width="5%" height="22"><input type="radio" name="allwd_lmt_keymails" value="1"></td>					<td width="90%" height="22">Allow me to send emails using limited keymails (when limit has reached)</td>					</tr>							<tr class=generalbody-gray>
																				<td width="5%" rowspan="2" height="22" valign=top>Keymail Disabled</td>									<td width="5%" height="22"><input type="radio" name="allwd_dsb_keymails" value="0" checked></td>
																				<td width="90%" height="22">Do not allow me to send email using disabled keymails</td>	</tr>					<tr class=generalbody-gray>		<td width="5%" height="22"><input type="radio" name="allwd_dsb_keymails" value="1"></td>								<td width="90%" height="22">Allow me to send email using disabled keymails</td>										</tr>
																						</table>
																					</TD>
																				</TR>
																				<TR class=generalbody>
																					<TD style="HEIGHT: 23px" vAlign=top width="30%"> Email Subject: </TD>
																					<TD style="HEIGHT: 23px" width="70%" colSpan=2>
																					<INPUT class=textInpt id=AddUsr_taSubject style="WIDTH: 315px" maxLength=255 name=txtemailsubject size="20" value="<%=settingid.getTxtemailsubject()%>">
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																				<TD vAlign=top width="30%"> Email Body: </TD>
																				<TD width="70%" colSpan=2>
																				<TEXTAREA class=txtArea id=AddUsr_taBody style="WIDTH: 317px" name=txtemailbody rows=5 cols="20"><%=settingid.getTxtemailbody()%></TEXTAREA>
																				</TD>
																				</TR>
																				<TR class=generalbody>
																							<TD vAlign=top width="30%"> Challenge WebPage Contents: </TD>
																							<TD width="70%" colSpan=2>
																					<TEXTAREA class=txtArea  id=AddUsr_taChallenge  style="WIDTH: 319px" name=txtchallengewebpage rows=5 cols="20"><%=settingid.getTxtchallengewebpage()%></TEXTAREA>
																							</TD>
																						</TR>
																				<TR class=generalbody-gray>
																				<TD vAlign=top width="30%"> Approval WebPage Contents: </TD>
																							<TD width="70%" colSpan=2>
																					<TEXTAREA class=txtArea  id=AddUsr_taApproval  style="WIDTH: 320px" name=txtapprovalwebpage rows=5 cols="20"><%=settingid.getTxtapprovalwebpage()%></TEXTAREA>
																							</TD>
																						</TR>
																				<TR class=generalbody>
																							<TD vAlign=top width="30%">	Already in WebPage Contents: </TD>
																							<TD width="70%" colSpan=2>
																					<TEXTAREA class=txtArea id=AddUsr_taAlready style="WIDTH: 321px" name=txtalreadywebpage rows=5 cols="20"><%=settingid.getTxtalreadywebpage()%></TEXTAREA>
																							</TD>
																						</TR>
																				<TR class=generalbody-gray>
																							<TD vAlign=top width="30%"> Failed webPage Contents: </TD>
																							<TD width="70%" colSpan=2>
																					<TEXTAREA class=txtArea id=AddUsr_taFailed  style="WIDTH: 322px" name=txtfailedwebpage rows=5 cols="20"><%=settingid.getTxtfailedwebpage()%></TEXTAREA>
																							</TD>
																						</TR>
																				<TR class=generalbody>
																							<TD vAlign=top width="30%"> Comments: </TD>
																							<TD width="70%" colSpan=2>
																				<TEXTAREA class=txtArea id=AddUsr_taComments style="WIDTH: 324px" name=txtcomments rows=5 cols="20"></TEXTAREA>
																							</TD>
																						</TR>
																				<TR class=generalbody-gray>
																							<TD vAlign=top></TD>
																					<TD class="errmsg" colspan=2><font size=2><%=message%></font></TD>
																						</TR>
																						<TR>
																					<TD width="30%"></TD>
																					<TD width="70%" colSpan=2><BR></TD>
																						</TR>
																				<TR class=generalbody>
																							<TD width="30%"></TD>
																							<TD width="70%" colSpan=2><BR>
																					<INPUT class=btn id=AddUsr_btnSave onclick="chksettings(); return false" type=submit value=Create name=create>&nbsp;&nbsp; 
																							</TD>
																						</TR>
																					</TBODY>
																				</TABLE>
																			</TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</TD>
														</TR>
													</TBODY>
												</TABLE>
											</TD>
										</TR>
									</TBODY>
								</TABLE>
							</TD>
						</TR>
				</TBODY>
			</TABLE>
			<script> 
			var tempStr="<INPUT class=textinpt id=AddUsr_txtEmail1 style='WIDTH: 172px' maxLength=20 name=txtemailname size='20'><STRONG>@</STRONG><SELECT class=combox onchange='select()'id=AddUsr_cboDomains name=cbodomains>";
			var Selected = "Selected";
			var Arr = new Array(<server:domainlist column="domainname" order="desc" alldomains="ALL"><%out.print("new Array('"+DomainID+"','"+PassiveText+"','"+QuarantineTime+"','<option value="+DomainID+">"+DomainName+"</option>'),");%></server:domainlist>new Array(' ',' ',' ',' '));
			for(i=0;i < Arr.length;i++)
			{
				tempStr = tempStr + Arr[i][3];
			}
			tempStr = tempStr +"</SELECT>";
			document.getElementById("inter").innerHTML = tempStr;
		    select();
			</script>
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD width="100%" bgColor=black colSpan=2 height=1></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
}
%>