/********************************************************************************/
/* Name			: FetchDomains.java												*/
/* Copyright	: 2003 SATCOMLABS LTD.				     						*/
/* Team			: Spam Control Team												*/
/* Developer	: Shivraj K. Saini / Pavan Gupta								*/
/* Last Updated	: 20/1/2004														*/
/* Abstract		:  																*/
/* Called from	: 																*/
/* Calls		: 																*/
/********************************************************************************/


package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import com.DBConnection;
import java.util.List;
import java.util.LinkedList;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;

public class FetchDomains extends BodyTagSupport 
{
	private int noofrec = 0; //NUMBER OF RECORD TO BE SHOWN
	private String order = "";
	private String column = "";
	String blockstatus = "";
	private String alldomains = "";

	private  List DomainID = new LinkedList();		
	private  List DomainName = new LinkedList();
	private  List SMTPIP = new LinkedList();
	private  List POP3IP = new LinkedList();
	private  List ValidationType = new LinkedList();
	private  List BlockIncoming = new LinkedList();
	private  List PassiveText = new LinkedList();
	private  List QuarantineTime = new LinkedList();
		
	private int i = 0;
	public int minimum = 0;		
	public int k =0;
	
	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
	
	public void setMinimum( int d )
    	{
		minimum = d;	
	}
	
	public int getMinimum()
    	{	
		return minimum;	
	}
	
	// SET-GET METHOD FOR NUMBER OF RECORDS ON ONE PAGE
	public int getNoofrec ()
    {	
		return noofrec;	
	}
    public void setNoofrec( int newnoofrec )
    {
		this.noofrec = newnoofrec;	
	}
	
	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}
	
	// SET VALUE FOR FETCHING ALL DOAMINS 
	public void setAlldomains( String alldomains)
	{
		this.alldomains = alldomains;
	}

	public int doStartTag() throws JspException
	{
		Connection conn = null;
		Statement stmt = null;
		ResultSet rs = null;

		output = new StringBuffer();

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			
			//FETCH ENTRIES FROM  DOMAINS TABLE
			
			qry = "SELECT DOMAINID, DOMAINNAME, SMTPFORWARDING_IP, POP3_IP, VALIDATIONTYPE, BLOCK_INCOMING,PASSIVETEXT,AGEING FROM DOMAINS ORDER BY "+column+" "+order;
		
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
		
				if(noofrec > 0)
				{
				
					int j = 0;
					do
					{
						DomainID.add( rs.getString( 1 ) );
						DomainName.add(rs.getString( 2 ));
						SMTPIP.add(rs.getString( 3 ));
						POP3IP.add(rs.getString( 4 ));
						ValidationType.add(rs.getString( 5 ));
						blockstatus = rs.getString( 6 );
						if(blockstatus == null)
							BlockIncoming.add("NO");
						else
							BlockIncoming.add(blockstatus);
						PassiveText.add( rs.getString( 7 ) );
						QuarantineTime.add( rs.getString( 8 ));
						j++;
					}
					while(rs.next() && j< noofrec);
				}

				// Fetching Domains in Add Domain Section from Server Dashboard
				else if(alldomains.equalsIgnoreCase("ALL"))	
				{
				
					do
					{
						DomainID.add( rs.getString( 1 ) );
						DomainName.add(rs.getString( 2 ));
						SMTPIP.add(rs.getString( 3 ));
						POP3IP.add(rs.getString( 4 ));
						ValidationType.add(rs.getString( 5 ));
						blockstatus = rs.getString( 6 );
						if(blockstatus == null)
							BlockIncoming.add("NO");
						else
							BlockIncoming.add(blockstatus);
						PassiveText.add( rs.getString( 7 ) );
						QuarantineTime.add( rs.getString( 8 ));
					}
					while(rs.next());
					
				}
				else
				{
					
					int i = 0;
					int j = 0;
					k = 0;
								
					while(i<(minimum-1) && rs.next())
					{
						i++;
						k++;
					}
					
						do
						{
							DomainID.add( rs.getString( 1 ) );
							DomainName.add(rs.getString( 2 ));
							SMTPIP.add(rs.getString( 3 ));
							POP3IP.add(rs.getString( 4 ));
							ValidationType.add(rs.getString( 5 ));
							blockstatus = rs.getString( 6 );
							if(blockstatus == null)
								BlockIncoming.add("NO");
							else
								BlockIncoming.add(blockstatus);

							PassiveText.add( rs.getString( 7 ) );
							QuarantineTime.add( rs.getString( 8 ));

							j++;
							k++;
						}
						while(rs.next() && j<10);


						/*while(rs.next())
						{
							k++;
						}*/
						rs.last();
						k = rs.getRow();

						
							
				}
			}
			else
			{

				DomainID.add("0");
				DomainName.add("0");
				SMTPIP.add("0");
				POP3IP.add("0");
				ValidationType.add("0");
				BlockIncoming.add("0");
				PassiveText.add( "0" );
				QuarantineTime.add( "0" );
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( DomainID.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < DomainID.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}
	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		pageContext.setAttribute( "Exprview", new Integer(k));    
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "DomainID", DomainID.get( index ).toString() );
		pageContext.setAttribute( "DomainName", DomainName.get( index ).toString() );
		pageContext.setAttribute( "SMTPIP", SMTPIP.get( index ).toString() );
		pageContext.setAttribute( "POP3IP", POP3IP.get( index ).toString() );
		pageContext.setAttribute( "ValidationType", ValidationType.get( index ).toString() );
		pageContext.setAttribute( "BlockIncoming", BlockIncoming.get( index ).toString() );
		pageContext.setAttribute( "PassiveText", PassiveText.get( index ).toString() );
		pageContext.setAttribute( "QuarantineTime", QuarantineTime.get( index ).toString() );
	}
}
