package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import com.DBConnection;

public class LayoutSenders extends TagSupport
{
	private int adminid = 0;
	private int condition = 0;
	private int validated = 0;

	public int getAdminid ()
	{	
		return adminid;	
	}
    public void setAdminid( int s )
    {
		adminid = s;	
	}

	public int getCondition ()
	{	
		return condition;	
	}
    public void setCondition( int s )
    {
		condition = s;	
	}

	public int getValidated ()
	{	
		return validated;	
	}
    public void setValidated( int s )
    {
		validated = s;	
	}


	public int doStartTag() throws JspException
    {
		try
		{
			JspWriter out = pageContext.getOut();
			if(condition == 1 && validated == 0)
			{
				out.println("<TR>");
				out.println("<TD align=middle colSpan=2 height=12 width='50%'>");
				out.println("<DIV class=1stgrid_head id=headerPanel><SPAN id=lblGridHeader>Pre-approved Senders</SPAN> </DIV>");
				out.println("</TD>");
				out.println("</TR>");
				out.println("<TR>");
				out.println("<TD align=left colSpan=2 width='50%'>");
				out.println("<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>");
				out.println("<TBODY>");
				out.println("<TR class=2nd_griditem_head style=FONT-WEIGHT: bold>");
				out.println("<TD style='WIDTH: 18%'>User Id</TD>");
				out.println("<TD style='WIDTH: 22%'>Domain</TD>");
				out.println("<TD style='WIDTH: 22%'>Date of Entry <IMG border=0 src=images/sort_down_on.gif width=7 height=4></IMG></TD>");
				out.println("<TD style='WIDTH: 12%'>Policy</TD>");
				out.println("<TD style='WIDTH: 12%'>Scope</TD>");
				if (adminid == 3)
				{}
				else
					out.println("<TD style='WIDTH: 5%'>Copy</TD>");

				out.println("<TD style='WIDTH: 7%'>Delete</TD>");
				out.println("</TR>");
			}
			else if(condition == 1 && validated == 1)
			{
				out.println("<TR>");
				out.println("<TD align=middle colSpan=2 height=12 width='50%'>");
				out.println("<DIV class=1stgrid_head-purple id=headerPanel><SPAN id=lblGridHeader>Validated Senders</SPAN> </DIV>");
				out.println("</TD>");
				out.println("</TR>");
				out.println("<TR>");
				out.println("<TD align=left colSpan=2 width='50%'>");
				out.println("<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>");
				out.println("<TBODY>");
				out.println("<TR class=2nd_griditem_head-purple style=FONT-WEIGHT: bold>");
				out.println("<TD style='WIDTH: 18%'>User Id</TD>");
				out.println("<TD style='WIDTH: 22%'>Domain</TD>");
				out.println("<TD style='WIDTH: 22%'>Response Date<IMG border=0 src=images/sort_down_on.gif width=7 height=4></IMG></TD>");
				out.println("<TD style='WIDTH: 12%'>Policy</TD>");
				out.println("<TD style='WIDTH: 12%'>Scope</TD>");
				out.println("<TD style='WIDTH: 7%'>Delete</TD>");
				out.println("</TR>");
			}
			else if(condition == 2 && validated == 0)
			{
				out.println("<TR>");
				out.println("<TD align=middle colSpan=2 height=12 width='50%'>");
				out.println("<DIV class=1stgrid_head-spam id=headerPanel><SPAN id=lblGridHeader>Spammers</SPAN> </DIV>");
				out.println("</TD>");
				out.println("</TR>");
				out.println("<TR>");
				out.println("<TD align=left colSpan=2 width='50%'>");
				out.println("<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>");
				out.println("<TBODY>");
				out.println("<TR class=2nd_griditem_head-spam style=FONT-WEIGHT: bold>");
				out.println("<TD style='WIDTH: 18%'>User Id</TD>");
				out.println("<TD style='WIDTH: 22%'>Domain</TD>");
				out.println("<TD style='WIDTH: 22%'>Date of Entry <IMG border=0 src=images/sort_down_on.gif width=7 height=4></IMG></TD>");
				out.println("<TD style='WIDTH: 12%'>Policy</TD>");
				out.println("<TD style='WIDTH: 12%'>Scope</TD>");
				if (adminid == 3)
				{}
				else
					out.println("<TD style='WIDTH: 5%'>Copy</TD>");

				out.println("<TD style='WIDTH: 7%'>Delete</TD>");
				out.println("</TR>");
			}
			else if(condition == 3 && validated == 0)
			{
				out.println("<TR>");
				out.println("<TD align=middle colSpan=2 height=12 width='50%'>");
				out.println("<DIV class=1stgrid_head-gray id=headerPanel><SPAN id=lblGridHeader>Unvalidated Senders</SPAN> </DIV>");
				out.println("</TD>");
				out.println("</TR>");
				out.println("<TR>");
				out.println("<TD align=left colSpan=2 width='50%'>");
				out.println("<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>");
				out.println("<TBODY>");
				out.println("<TR class=2nd_griditem_head-gray style=FONT-WEIGHT: bold>");
				out.println("<TD style='WIDTH: 18%'>User Id</TD>");
				out.println("<TD style='WIDTH: 22%'>Domain</TD>");
				out.println("<TD style='WIDTH: 22%'>Date of Entry <IMG border=0 src=images/sort_down_on.gif width=7 height=4></IMG></TD>");
				out.println("<TD style='WIDTH: 12%'>Policy</TD>");
				out.println("<TD style='WIDTH: 12%'>Scope</TD>");
				out.println("<TD style='WIDTH: 7%'>Delete</TD>");
				out.println("</TR>");
			}
}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);	
		}
		return SKIP_BODY;
	}
}	