/********************************************************************************/
/* Name			:Quarantine.java						*/
/* Copyright	:2006 DATA INFOCOM LTD.					*/
/* Team			:Spam Control Team						*/
/* Developer	:Kishan Kumar Meena						*/
/* Last Updated	:10:10 AM 10/02/2006					*/
/* Abstract		:Create Custom tag fro fetch alias		*/
/* Called from	:dashboard								*/
/* Calls		:										*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.text.SimpleDateFormat;
import com.DBConnection;

public class Quarantine extends BodyTagSupport
{
	private int userid = 0;
	private int noofrec = 0; //NUMBER OF RECORD TO BE SHOWN
	private String order = "";
	private String column = "";
	private String date = "";
	public String dateFormat = "";
		
	public int minimum = 0;		
	public int k =0;

	private java.util.List To = new java.util.LinkedList();
	private java.util.List From = new java.util.LinkedList();
	private java.util.List MailSubject = new java.util.LinkedList();
	private java.util.List MailDate = new java.util.LinkedList();
	private java.util.List MailId = new java.util.LinkedList();
	private java.util.List Flag = new java.util.LinkedList();
	private java.util.List Size = new java.util.LinkedList();
	private java.util.List SessionId = new java.util.LinkedList();
	private java.util.List ApprovalId = new java.util.LinkedList();
	private java.util.List ConditionId = new java.util.LinkedList();

	SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy");

	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();

	public void setSearchdate( String d )
    	{
		date = d;	
	}
	
	public String getSearchdate()
    	{	
		return date;	
	}
 
	public void setMinimum( int d )
    	{
		minimum = d;	
	}
	
	public int getMinimum()
    	{	
		return minimum;	
	}
	
	public int getUserid ()
    	{	
		return userid;	
	}
	public void setUserid( int newuserid )
    	{
		this.userid = newuserid;	
	}
	public int getNoofrec ()
    	{	
		return noofrec;	
	}
    	public void setNoofrec( int newnoofrec )
    	{
		this.noofrec = newnoofrec;	
	}

	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}

	public int doStartTag() throws JspException
    	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.Statement stmtTmp = null;
		java.sql.Statement stmt_dformat = null;
		java.sql.Statement stmt_app = null;
		java.sql.ResultSet rs = null;
		java.sql.ResultSet rsTmp = null;
		java.sql.ResultSet rs_dformat = null;
		java.sql.ResultSet rs_app = null;

		output = new StringBuffer();

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			stmtTmp = conn.createStatement();
			stmt_dformat = conn.createStatement();
			stmt_app = conn.createStatement();
						

			///Adding code to get User Define Date format
			rs_dformat = stmt_dformat.executeQuery("select date_format from admindefaults");
			rs_dformat.next();
			if(rs_dformat.getString("date_format").equals("YYYY/MM/DD"))
			dateFormat = "DD/MM/YYYY";
			else
			dateFormat = rs_dformat.getString("date_format");
			rs_dformat.close();
			stmt_dformat.close();
			//End of Date format code now dateFormat is replaced in the query

			
			//FETCH ALL QUARANTINE RECORD FROM QUARANTINE TABLE
			
			qry = "SELECT d.email_username,dt.domainname from users d,domains dt where d.userid='"+userid+"' and dt.domainid=d.domainid";
			rsTmp = stmtTmp.executeQuery( qry );
			rsTmp.next();
			qry = "SELECT to_id,from_id,subject,maildate,id,flag,size,session_id FROM quarantine WHERE to_id='"+rsTmp.getString(1)+"@"+rsTmp.getString(2)+"' and to_char(maildate,'"+dateFormat+"')='"+date+"' and (flag='n' or flag='a') order by maildate desc";
			rs = stmt.executeQuery(qry );

			if ( rs.next() )
			{
				if(noofrec > 0)
				{
					int i=0;
					do
					{
						To.add ( rs.getString( 1 ) );
						From.add ( rs.getString( 2 ) );
						MailSubject.add ( rs.getString( 3 ) );
						MailDate.add( rs.getString( 4 ).substring(rs.getString(4).indexOf(" "),rs.getString(4).length()));
						MailId.add( rs.getString( 5 ) );
						Flag.add( rs.getString( 6 ) );
						Size.add( rs.getString( 7 ).trim() );
						SessionId.add( rs.getString( 8 ).trim() );

						qry = "select approvalid,conditionid from asl where mailerid='"+rs.getString(2).substring(0,rs.getString(2).indexOf("@"))+"' and mailerdomain='"+rs.getString(2).substring(rs.getString(2).indexOf("@")+1,rs.getString(2).length())+"' and userid="+userid+"";
						rs_app = stmt_app.executeQuery(qry);

						if(rs_app.next())
						{
							ApprovalId.add( rs_app.getString(1) );
							ConditionId.add( rs_app.getString(2) );
						}
						else
						{
							ApprovalId.add("0");
							ConditionId.add("0");
						}
						
						i++;
					}
					while( rs.next() && i< noofrec );
				}
				else
				{
					int i = 0;
					int j = 0;
					k = 1;
								
					while(i<(minimum-1) && rs.next())
					{
						i++;
						k++;
					}	
					do
					{
						To.add ( rs.getString( 1 ) );
						From.add ( rs.getString( 2 ) );
						MailSubject.add( rs.getString( 3 ));
						MailDate.add( rs.getString( 4 ).substring(rs.getString(4).indexOf(" "),rs.getString(4).length()));
						MailId.add(rs.getString( 5 ) );
						Flag.add( rs.getString( 6 ) );
						Size.add( rs.getString( 7 ).trim() );
						SessionId.add( rs.getString( 8 ).trim() );

						qry = "select approvalid,conditionid from asl where mailerid='"+rs.getString(2).substring(0,rs.getString(2).indexOf("@"))+"' and mailerdomain='"+rs.getString(2).substring(rs.getString(2).indexOf("@")+1,rs.getString(2).length())+"' and userid="+userid+"";
						rs_app = stmt_app.executeQuery(qry);
						if(rs_app.next())
						{
							ApprovalId.add(rs_app.getString(1));
							ConditionId.add( rs_app.getString(2) );
						}
						else
						{
							ApprovalId.add("0");
							ConditionId.add("0");
						}

						j++;
						k++;
					}
					while(rs.next() && j<10);
					while(rs.next())
					{
						k++;
					}
				}
			}
			else
			{
				To.add ("0");
				From.add ("0");
				MailSubject.add( "0" );
				MailDate.add( "0" );
				MailId.add("0");
				Flag.add("0");
				Size.add("0");
				SessionId.add("0");
				ApprovalId.add("0");
				ConditionId.add("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			e.printStackTrace();
			}
		finally
		{
			try
			{
				rs.close();
				//rsTmp.close();
				//rs_app.close();
				stmtTmp.close();
				stmt.close();
				stmt_app.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			ignored.printStackTrace();
			}
		}
		if ( To.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < To.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		pageContext.setAttribute( "Exprquarantine", new Integer(k));  
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "To", To.get( index ).toString() );
		pageContext.setAttribute( "From", From.get( index ).toString() );
		pageContext.setAttribute( "MailSubject", MailSubject.get( index ).toString() );
		pageContext.setAttribute( "MailDate", MailDate.get( index ).toString() );
		pageContext.setAttribute( "MailId", MailId.get( index ).toString() );
		pageContext.setAttribute( "Flag", Flag.get( index ).toString() );
		pageContext.setAttribute( "Size", Size.get( index ).toString() );
		pageContext.setAttribute( "ApprovalId", ApprovalId.get( index ).toString() );
		pageContext.setAttribute( "ConditionId", ConditionId.get( index ).toString() );
		pageContext.setAttribute( "SessionId", SessionId.get( index ).toString() );
	}
}