<%
/********************************************************************************/
/* Name			: domainsettings.jsp											*/
/* Copyright	: 2003 SATCOMLABS LTD.				    						*/
/* Team			: Spam Control Team												*/
/* Developer	: Amit Kumar													*/
/* Last Updated	: dashboardlogin.jsp											*/	
/* Abstract		: Displays Domain Logs											*/
/* Called from	:																*/			
/* Calls		:																*/
/********************************************************************************/
%>

<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<jsp:useBean id = "domainmainid" scope = "session" class = "com.antispam.DomainSettings" />

<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>

<%
int userid = validate.getUserid();
if(userid == 0)
	response.sendRedirect("dashboardlogin.jsp");
else
{

int incomingminpage = 0;
int incomingmin = 1;
int incomingminimum = 1;

int outgoingminpage = 0;
int outgoingmin = 1;
int outgoingminimum = 1;

int aliasminpage = 0;
int aliasmin = 1;
int aliasminimum = 1;

int keymailminpage = 0;
int keymailmin = 1;
int keymailminimum = 1;

if(request.getParameter("hidincomingminpage") != null)
	incomingminpage = Integer.parseInt(request.getParameter("hidincomingminpage"));
if(request.getParameter("hidincomingmin") != null)
	incomingmin = Integer.parseInt(request.getParameter("hidincomingmin"));
if(request.getParameter("hidincomingminimum") != null && !request.getParameter("hidincomingminimum").equals("") )
	incomingminimum = Integer.parseInt(request.getParameter("hidincomingminimum"));

if(request.getParameter("hidoutgoingminpage") != null)
	outgoingminpage = Integer.parseInt(request.getParameter("hidoutgoingminpage"));
if(request.getParameter("hidoutgoingmin") != null)
	outgoingmin = Integer.parseInt(request.getParameter("hidoutgoingmin"));
if(request.getParameter("hidoutgoingminimum") != null && !request.getParameter("hidoutgoingminimum").equals("") )
	outgoingminimum = Integer.parseInt(request.getParameter("hidoutgoingminimum"));

if(request.getParameter("hidaliasminpage") != null)
	aliasminpage = Integer.parseInt(request.getParameter("hidaliasminpage"));
if(request.getParameter("hidaliasmin") != null)
	aliasmin = Integer.parseInt(request.getParameter("hidaliasmin"));
if(request.getParameter("hidaliasminimum") != null && !request.getParameter("hidaliasminimum").equals("") )
	aliasminimum = Integer.parseInt(request.getParameter("hidaliasminimum"));

if(request.getParameter("hidkeymailminpage") != null)
	keymailminpage = Integer.parseInt(request.getParameter("hidkeymailminpage"));
if(request.getParameter("hidkeymailmin") != null)
	keymailmin = Integer.parseInt(request.getParameter("hidkeymailmin"));
if(request.getParameter("hidkeymailminimum") != null && !request.getParameter("hidkeymailminimum").equals("") )
	keymailminimum = Integer.parseInt(request.getParameter("hidkeymailminimum"));


int logindomainid = validate.getDomainid();
int domainid = 0;
int tempdomainid = validate.getTempdomainid();
if(tempdomainid == 0)
	domainid = logindomainid;
else
	domainid = tempdomainid;

	domainmainid.setHiddomainid(domainid);
	domainmainid.registered();
	String user_reg = domainmainid.getRadRegistration();
	if(user_reg == null)
		user_reg = "";

int i=0;
String flag = "false";

String emailfrom = "*";
String emailto = "*";
String emailid = "*";
String Datefrom = "*";
String DateTo = "*";

java.text.SimpleDateFormat sdf = new  java.text.SimpleDateFormat("MM/dd/yyyy");
java.util.Date Date_today = new java.util.Date();

	if(request.getParameter("hidflag")!= null)
	{
		flag = request.getParameter("hidflag");
	}
	if(request.getParameter("txtfrom")!=null)
	{
		emailfrom = request.getParameter("txtfrom");
	}
	
	if(request.getParameter("txtto")!=null)
	{
		emailto = request.getParameter("txtto");
	}
	
	if(request.getParameter("txtemail")!=null)
	{
		emailid = request.getParameter("txtemail");
	}
	
	if(request.getParameter("txtDatefrom")!=null)
	{
		Datefrom = request.getParameter("txtDatefrom");
	}
	else
	{
		Datefrom = sdf.format(Date_today);
	}
	
	if(request.getParameter("txtDateTo")!=null)
	{
		DateTo = request.getParameter("txtDateTo");
	}
	else
	{
		DateTo = sdf.format(Date_today);
	}


int adminid = validate.getAdminid();

String orderin = "desc";
String columnnamein = "emailid";
String orderout = "desc";
String columnnameout = "emailid";
String orderalias = "desc";
String columnnamealias = "emailid";
String orderkeymail = "desc";
String columnnamekeymail = "emailid";

if(request.getParameter("hidorderin") != null)
	orderin = request.getParameter("hidorderin");
if(request.getParameter("hidcolumnin") != null)
	columnnamein = request.getParameter("hidcolumnin");

if(request.getParameter("hidorderout") != null)
	orderout = request.getParameter("hidorderout");
if(request.getParameter("hidcolumnout") != null)
	columnnameout = request.getParameter("hidcolumnout");

if(request.getParameter("hidorderalias") != null)
	orderalias = request.getParameter("hidorderalias");
if(request.getParameter("hidcolumnalias") != null)
	columnnamealias = request.getParameter("hidcolumnalias");

if(request.getParameter("hidorderkeymail") != null)
	orderkeymail = request.getParameter("hidorderkeymail");
if(request.getParameter("hidcolumnkeymail") != null)
	columnnamekeymail = request.getParameter("hidcolumnkeymail");
%>

<HTML>
	<HEAD>
		<TITLE>Search Log</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/date-picker.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<SCRIPT src="scripts/checkdate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/myscript.js"></SCRIPT>
	<!--START SCRIPT-->
	<script>
		//FUNCTION TO CHECK ALL VALIDATIONS ON THE FORM
		function chklog()
		{
			fromdt = document.frmlog.txtDatefrom.value;
			todt = document.frmlog.txtDateTo.value;

			fromdate = new Date(fromdt);
			todate = new Date(todt);

			document.frmlog.txtfrom.value=trim(document.frmlog.txtfrom.value);
			document.frmlog.txtto.value=trim(document.frmlog.txtto.value);
			document.frmlog.txtemail.value=trim(document.frmlog.txtemail.value);

			document.frmlog.hidflag.value="true";
			
			if(document.frmlog.txtfrom.value=="")
			{
				alert("Enter From Email Address");
				document.frmlog.txtfrom.focus();
			}
			else if(spcharvalidate(document.frmlog.txtfrom.value,"*@._")==true)
			{
				alert("Speacial character found");
				document.frmlog.txtfrom.focus();
			}	
			else if(document.frmlog.txtto.value=="")
			{
				alert("Enter To Email Address");
				document.frmlog.txtto.focus();
			}
			else if(spcharvalidate(document.frmlog.txtto.value,"*@._")==true)
			{
				alert("Speacial character found");
				document.frmlog.txtto.focus();
			}	
			else if(ValidateForm(fromdt)==false)
			{
				document.frmlog.txtDatefrom.focus();
			}
			else if(ValidateForm(todt)==false)
			{
				document.frmlog.txtDateTo.focus();
			}
			else if(fromdate > todate)
			{
				alert ("After date must be less than or equal to Before date");
				return false;
			}
			else if(document.frmlog.txtemail.value=="")
			{
				alert("Enter Email ID");
				document.frmlog.txtemail.focus();
			}
			else if(spcharvalidate(document.frmlog.txtemail.value,"*@._")==true)
			{
				alert("Speacial character found");
				document.frmlog.txtemail.focus();
			}	
			else
			{
				document.frmlog.action="domainlog.jsp";
				document.frmlog.submit();	
			}
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			if(pagingtype == "incoming")
			{
				document.frmlog.hidincomingminpage.value=pageno;
				document.frmlog.hidincomingmin.value=min;
				document.frmlog.hidincomingminimum.value=min;
			}
			else if(pagingtype == "outgoing")
			{
				document.frmlog.hidoutgoingminpage.value=pageno;
				document.frmlog.hidoutgoingmin.value=min;
				document.frmlog.hidoutgoingminimum.value=min;
			}
			else if(pagingtype == "alias")
			{
				document.frmlog.hidaliasminpage.value=pageno;
				document.frmlog.hidaliasmin.value=min;
				document.frmlog.hidaliasminimum.value=min;
			}
			else if(pagingtype == "keymail")
			{
				document.frmlog.hidkeymailminpage.value=pageno;
				document.frmlog.hidkeymailmin.value=min;
				document.frmlog.hidkeymailminimum.value=min;
			}

			document.frmlog.action="domainlog.jsp";
			document.frmlog.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			if(pagingtype == "incoming")
				document.frmlog.hidincomingminimum.value=min;
			else if(pagingtype == "outgoing")
				document.frmlog.hidoutgoingminimum.value=min;
			else if(pagingtype == "alias")
				document.frmlog.hidaliasminimum.value=min;
			else if(pagingtype == "keymail")
				document.frmlog.hidkeymailminimum.value=min;
			
			document.frmlog.action="domainlog.jsp";
			document.frmlog.submit();
		}

		//FUNCTION TO SORT INCOMING LOG
		function sortIncoming(order,column)
		{
			document.frmlog.hidcolumnin.value=column;
			document.frmlog.hidorderin.value=order;
			document.frmlog.action="domainlog.jsp";
			document.frmlog.submit();
		}

		//FUNCTION TO SORT OUTGOING LOG
		function sortOutgoing(order,column)
		{
			document.frmlog.hidcolumnout.value=column;
			document.frmlog.hidorderout.value=order;
			document.frmlog.action="domainlog.jsp";
			document.frmlog.submit();
		}

		//FUNCTION TO SORT ALIAS LOG
		function sortAlias(order,column)
		{
			document.frmlog.hidcolumnalias.value=column;
			document.frmlog.hidorderalias.value=order;
			document.frmlog.action="domainlog.jsp";
			document.frmlog.submit();
		}

		//FUNCTION TO SORT KEYMAIL LOG
		function sortKeymail(order,column)
		{
			document.frmlog.hidcolumnkeymail.value=column;
			document.frmlog.hidorderkeymail.value=order;
			document.frmlog.action="domainlog.jsp";
			document.frmlog.submit();
		}

		function funload()
		{
			document.frmlog.btnsubmit.focus();
		}
	</script>
	<!--END SCRIPT-->
	<BODY onload="funload()">

		<FORM method=post name=frmlog >
			<INPUT type="hidden" name="hidflag">

			<INPUT type=hidden name=hidcolumnin value="<%=columnnamein%>">
			<INPUT type=hidden name=hidorderin value="<%=orderin%>">
			<INPUT type=hidden name=hidcolumnout value="<%=columnnameout%>">
			<INPUT type=hidden name=hidorderout value="<%=orderout%>">
			<INPUT type=hidden name=hidcolumnalias value="<%=columnnamealias%>">
			<INPUT type=hidden name=hidorderalias value="<%=orderalias%>">
			<INPUT type=hidden name=hidcolumnkeymail value="<%=columnnamekeymail%>">
			<INPUT type=hidden name=hidorderkeymail value="<%=orderkeymail%>">

			<INPUT type="hidden" name="hidincomingminpage" value="<%=incomingminpage%>">
			<INPUT type="hidden" name="hidincomingmin" value="<%=incomingmin%>">
			<INPUT type="hidden" name="hidincomingminimum" value="<%=incomingminimum%>">

			<INPUT type="hidden" name="hidoutgoingminpage" value="<%=outgoingminpage%>">
			<INPUT type="hidden" name="hidoutgoingmin" value="<%=outgoingmin%>">
			<INPUT type="hidden" name="hidoutgoingminimum" value="<%=outgoingminimum%>">

			<INPUT type="hidden" name="hidaliasminpage" value="<%=aliasminpage%>">
			<INPUT type="hidden" name="hidaliasmin" value="<%=aliasmin%>">
			<INPUT type="hidden" name="hidaliasminimum" value="<%=aliasminimum%>">

			<INPUT type="hidden" name="hidkeymailminpage" value="<%=keymailminpage%>">
			<INPUT type="hidden" name="hidkeymailmin" value="<%=keymailmin%>">
			<INPUT type="hidden" name="hidkeymailminimum" value="<%=keymailminimum%>">

			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><IMG src="images/img.gif" vspace=5 width="470" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Search Log_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="servermain.jsp">Server</TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</A></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
<% 
													}
%>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">Working in Domain: <domain:domaininfo domain_id="<%= domainid %>" /></TD>
																		<TD align=right width="10%">
																			<A class=gridrowlink href="#?" onclick="openHelp('help/DomainLogSearchHelp.htm')" style="FONT-WEIGHT: bold">Help</A>&nbsp;
																		</TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Domain Admin-->
							
						<% if (user_reg.equals("tempid")) { %>
							<domain:domainmenutemp showCurrPage="8"></domain:domainmenutemp>
						<% } else { %>
							<domain:domainmenu showCurrPage="8"></domain:domainmenu>
						<% } %>
						</TD>
						<TD vAlign=top><!--Main Section(Add to Whitelist)-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%" height="208">
								<TBODY>
									<TR class=2nd_grid_head>
										<TD colSpan=2 height="19">Search All Log Entries that Match</TD>
									</TR>
									<TR>
										<TD colSpan=2 height="183">
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR class=general_tr>
														<TD>From Email Address:</TD>
														<TD><INPUT class=textinpt id=txtFrom name=txtfrom value="<%=emailfrom%>"style="WIDTH: 225px" size="20"></TD>
													</TR>
													<TR class=general_tr>
														<TD>To Email Address:</TD>
														<TD><INPUT class=textinpt id=txtTo name=txtto value="<%=emailto%>"
														style="WIDTH: 225px" size="20"></TD></TR>
														<TR class=general_tr>
														<TD noWrap vAlign=top>On or After: </TD>
														<TD>
														<INPUT class=textInpt id=txtDatefrom name=txtDatefrom style="WIDTH: 110px" value="<%=Datefrom%>" size="20" readonly>&nbsp; 
														<A href="javascript:show_calendar('frmlog.txtDatefrom',101);">
														<IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A>
														<FONT size=1>&nbsp;[MM/DD/YYYY]</FONT> 
														</TD>
													</TR>
													<TR class=general_tr>
														<TD vAlign=top>On or Before: </TD>
														<TD>
														<INPUT class=textInpt id=txtDateTo name=txtDateTo style="WIDTH: 110px" value="<%=DateTo%>" size="20" readonly>&nbsp; 
														<A href="javascript:show_calendar('frmlog.txtDateTo',101);">
														<IMG align=middle alt="Click to Input Date" border=0 src="images/calendar.gif" width="16" height="14"></A>
														<FONT size=1>&nbsp;[MM/DD/YYYY]</FONT></TD></TR>
														<TR class=general_TR>
														<TD></TD>
														<TD></TD>
													</TR>
													<TR class=general_TR>
														<TD>Email Id</TD>
														<TD><INPUT class=textinpt id=Email name=txtemail style="WIDTH: 225px" size="20" value="<%=emailid%>"></TD>
													</TR>
													<TR class=general_TR>
														<TD vAlign=top>&nbsp;</TD>
														<TD>
														<INPUT type= "submit" class=btn id=btnSubmit language=javascript name=btnsubmit onclick="chklog();return false " value=Search> 
														<A class=gridrowlink href="#?" onclick="openHelp('help/SearchHelp.htm')"; style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A> 
														</TD>
													</TR>
													<TR>
														<TD bgColor=black colSpan=2 height="1"></TD>
													</TR>
													<TR>
														<TD colSpan="2">&nbsp;</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD id="search" class="2nd_grid_head" colSpan="2">Search Results</TD>
									</TR>
									<TR>
										<TD colSpan="2">&nbsp;</TD>
									</TR>
									<TR>
										<td colSpan="2">
											<table id="incoming"cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
												<tr class="1stgrid_head-incoming">
													<td>Incoming Emails Log</td>
												</tr>
												<tr>
													<td>
														<table cellspacing="0" cellpadding="0" rules="cols" border="1" id="dgIncoming" style="width:100%;border-collapse:collapse">
															<tr class="2nd_griditem_head-incoming" style="font-weight:bold;">
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamein.equals("emailid")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','emailid')">Email Id <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamein.equals("emailid")) && (orderin.equals("asc"))) { %>
																		<a href="javascript:onclick=sortIncoming('desc','emailid')">Email Id <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','emailid')">Email Id</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamein.equals("date_recv")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','date_recv')">Received <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamein.equals("date_recv")) && (orderin.equals("asc"))) { %>
																		<a href="javascript:onclick=sortIncoming('desc','date_recv')">Received <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','date_recv')">Received</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamein.equals("client_ip")) && (orderin.equals("desc"))) { %>	
																		<a href="javascript:onclick=sortIncoming('asc','client_ip')">Client's IP<img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else  if ((columnnamein.equals("client_ip")) && (orderin.equals("asc"))){ %>
																		<a href="javascript:onclick=sortIncoming('desc','client_ip')">Client's IP<img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','client_ip')">Client's IP</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamein.equals("e_from")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','e_from')">From<img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamein.equals("e_from")) && (orderin.equals("asc"))) {	%>
																		<a href="javascript:onclick=sortIncoming('desc','e_from')">From<img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','e_from')">From</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamein.equals("e_toaddr")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','e_toaddr')">To<img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamein.equals("e_toaddr")) && (orderin.equals("asc"))){	%>
																		<a href="javascript:onclick=sortIncoming('desc','e_toaddr')">To<img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','e_toaddr')">To</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >	
																	<% if ((columnnamein.equals("e_status")) && (orderin.equals("desc"))) { %>
																		<a href="javascript:onclick=sortIncoming('asc','e_status')">Status<img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamein.equals("e_status")) && (orderin.equals("asc"))){ %>
																		<a href="javascript:onclick=sortIncoming('desc','e_status')">Status<img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','e_status')">Status</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamein.equals("errormsg")) && (orderin.equals("desc"))) { %>	
																		<a href="javascript:onclick=sortIncoming('asc','errormsg')">Error<img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamein.equals("errormsg")) && (orderin.equals("asc"))) {	%>
																		<a href="javascript:onclick=sortIncoming('desc','errormsg')">Error<img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortIncoming('desc','errormsg')">Error</a>
																	<% } %>
																</td>
															</tr>
															<domain:incominglog domainid="<%=domainid%>" minimum="<%=incomingminimum%>" txtfrom="<%=emailfrom%>" txtto="<%=emailto%>" txtemail="<%=emailid%>" txtDatefrom="<%=Datefrom%>" txtDateTo="<%=DateTo%>" column="<%=columnnamein%>" order="<%=orderin%>" tabtype="domain"> 
<%
															if(EmailID.equals("0"))
															{}
															else
															{
																String gridclass = "";
																i++;
																if (i%2 != 0)
																	gridclass = "gridrow2";
																else
																	gridclass = "gridrow1-incoming";
%>
																<tr class = <%=gridclass%>>
																	<td><%=EmailID%></td>
																	<td><%=Date_Recv%></td>
																	<td><%=Client_IP%></td>
																	<td><%=e_from%></td>
																	<td><%=e_toaddr%></td>
																	<td><%=e_status%></td>
																	<td><%=ErrorMsg%></td>
																</tr>
<%
															}	
%>
															</domain:incominglog>
															<%	int incomingrecords = Expr1.intValue();		%>
															<tr class='footer' align='Right' style='font-weight:bold;'>
																<td colspan='7' >
																	<utility:paging totalrecords="<%=incomingrecords%>" minpage="<%=incomingminpage%>" min="<%=incomingmin%>" pagingtype="incoming" />
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td colSpan="2">
											<table id="outgoing" cellSpacing="0" cellPadding="0" width="100%" align="center">
											<thead>
												<tr class="1stgrid_head-outgoing">
													<td>Outgoing Emails Log</td>
												</tr>
												<tr>
													<td>
														<table cellspacing="0" cellpadding="0" rules="cols" border="1" id="dgOutgoing" style="width:100%;border-collapse:collapse;">
															<tr class="2nd_griditem_head-outgoing" style="font-weight:bold;">
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnameout.equals("emailid")) && (orderout.equals("desc"))) { %>
																		<a href="javascript:onclick=sortOutgoing('asc','emailid')">Email Id <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnameout.equals("emailid")) && (orderout.equals("asc"))) { %>
																		<a href="javascript:onclick=sortOutgoing('desc','emailid')">Email Id <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortOutgoing('desc','emailid')">Email Id</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnameout.equals("date_entry")) && (orderout.equals("desc"))) { %>
																		<a href="javascript:onclick=sortOutgoing('asc','date_entry')">Date Entry <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% }else if ((columnnameout.equals("date_entry")) && (orderout.equals("asc"))){%>
																		<a href="javascript:onclick=sortOutgoing('desc','date_entry')">Date Entry <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortOutgoing('desc','date_entry')">Date Entry</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnameout.equals("e_from")) && (orderout.equals("desc"))) { %>
																		<a href="javascript:onclick=sortOutgoing('asc','e_from')">From <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnameout.equals("e_from")) && (orderout.equals("asc"))) { %>
																		<a href="javascript:onclick=sortOutgoing('desc','e_from')">From <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortOutgoing('desc','e_from')">From</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnameout.equals("to_addr")) && (orderout.equals("desc"))) { %>
																		<a href="javascript:onclick=sortOutgoing('asc','to_addr')">To <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnameout.equals("to_addr")) && (orderout.equals("asc"))) { %>
																		<a href="javascript:onclick=sortOutgoing('desc','to_addr')">To <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortOutgoing('desc','to_addr')">To</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnameout.equals("errormsg")) && (orderout.equals("desc"))) { %>
																		<a href="javascript:onclick=sortOutgoing('asc','errormsg')">Error <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnameout.equals("errormsg")) && (orderout.equals("asc"))){ %>
																		<a href="javascript:onclick=sortOutgoing('desc','errormsg')">Error <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortOutgoing('desc','errormsg')">Error</a>
																	<% } %>
																</td>
															</tr>
															<domain:outgoinglog domainid="<%=domainid%>" minimum="<%=outgoingminimum%>" txtfrom="<%=emailfrom%>" txtto="<%=emailto%>" txtemail="<%=emailid%>" txtDatefrom="<%=Datefrom%>" txtDateTo="<%=DateTo%>" column="<%=columnnameout%>" order="<%=orderout%>" tabtype="domain">
<%
															if(EmailID.equals("0"))
															{}
															else
															{
																String gridclass = "";
																i++;
																if (i%2 != 0)
																	gridclass = "gridrow2";
																else
																	gridclass = "gridrow1-outgoing";
%>
																<tr class = <%=gridclass%>>
																	<td><%=EmailID%></td>
																	<td><%=date_entry%></td>
																	<td><%=e_from%></td>
																	<td><%=to_addr%></td>
																	<td><%=ErrorMsg%></td>
																</tr>
<%
															}	
%>
															</domain:outgoinglog>
															<%	int outgoingrecords = Expr2.intValue();	%>
															<tr class='footer' align='Right' style='font-weight:bold;'>
																<td colspan='7' >
																	<utility:paging totalrecords="<%=outgoingrecords%>" minpage="<%=outgoingminpage%>" min="<%=outgoingmin%>" pagingtype="outgoing" />
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td colSpan="2">
											<table id="alias" cellSpacing="0" cellPadding="0" width="100%" align="center">
												<tr class="1stgrid_head-ash">
													<td>Alias Log</td>
												</tr>
												<tr>
													<td>
														<table cellspacing="0" cellpadding="0" rules="cols" border="1" id="dgOutgoing" style="width:100%;border-collapse:collapse;">
															<tr class="2nd_griditem_head-ash " style="font-weight:bold;">
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamealias.equals("emailid")) && (orderalias.equals("desc"))) { %>
																		<a href="javascript:onclick=sortAlias('asc','emailid')">Email Id <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if((columnnamealias.equals("emailid")) && (orderalias.equals("asc"))){%>
																		<a href="javascript:onclick=sortAlias('desc','emailid')">Email Id <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortAlias('desc','emailid')">Email Id</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamealias.equals("date_rc")) && (orderalias.equals("desc"))) { %>
																		<a href="javascript:onclick=sortAlias('asc','date_rc')">Received <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if((columnnamealias.equals("date_rc")) && (orderalias.equals("asc"))){%>
																		<a href="javascript:onclick=sortAlias('desc','date_rc')">Received <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortAlias('desc','date_rc')">Received</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamealias.equals("e_from")) && (orderalias.equals("desc"))) { %>
																		<a href="javascript:onclick=sortAlias('asc','e_from')">From <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if ((columnnamealias.equals("e_from")) && (orderalias.equals("asc"))){ %>
																		<a href="javascript:onclick=sortAlias('desc','e_from')">From <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortAlias('desc','e_from')">From</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if((columnnamealias.equals("alias_addr")) && (orderalias.equals("desc"))) { %>
																		<a href="javascript:onclick=sortAlias('asc','alias_addr')">Alias <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if ((columnnamealias.equals("alias_addr")) && (orderalias.equals("asc"))) { %>
																		<a href="javascript:onclick=sortAlias('desc','alias_addr')">Alias <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortAlias('desc','alias_addr')">Alias</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamealias.equals("todomain")) && (orderalias.equals("desc"))) { %>
																		<a href="javascript:onclick=sortAlias('asc','todomain')">To Domain <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamealias.equals("todomain")) && (orderalias.equals("asc"))){ %>
																		<a href="javascript:onclick=sortAlias('desc','todomain')">To Domain <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortAlias('desc','todomain')">To Domain</a>
																	<% } %>
																</td>
															</tr>
															<domain:aliaslog domainid="<%=domainid%>" minimum="<%=aliasminimum%>" txtfrom="<%=emailfrom%>" txtto="<%=emailto%>" txtemail="<%=emailid%>" txtDatefrom="<%=Datefrom%>" txtDateTo="<%=DateTo%>" column="<%=columnnamealias%>" order="<%=orderalias%>" tabtype="domain">
<%
															if(EmailID.equals("0"))
															{}
															else
															{
																String gridclass = "";
																i++;
																if (i%2 != 0)
																	gridclass = "gridrow2";
																else
																	gridclass = "gridrow1-ash";
%>
																<tr class = <%=gridclass%>>
																	<td><%=EmailID%></td>
																	<td><%=Date_rc%></td>
																	<td><%=e_from%></td>
																	<td><%=Alias_addr%></td>
																	<td><%=ToDomain%></td>
																</tr>
<%
															}	
%>
															</domain:aliaslog>
															<%	int aliasrecords = Expr3.intValue();	%>
															<tr class='footer' align='Right' style='font-weight:bold;'>
																<td colspan='7' >
																	<utility:paging totalrecords="<%=aliasrecords%>" minpage="<%=aliasminpage%>" min="<%=aliasmin%>" pagingtype="alias" />
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
									<tr>
										<td colSpan="2">
											<table id="keymail" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
												<tr class="1stgrid_head-green">
													<td>KeyMail Log</td>
												</tr>
												<tr>
													<td>
														<table cellspacing="0" cellpadding="0" rules="cols" border="1" id="dgKeyMail" style="width:100%;border-collapse:collapse;">
															<tr class="2nd_griditem_head-green" style="font-weight:bold;">
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamekeymail.equals("emailid")) && (orderkeymail.equals("desc"))) { %>
																		<a href="javascript:onclick=sortKeymail('asc','emailid')">Email Id <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if((columnnamekeymail.equals("emailid")) && (orderkeymail.equals("asc"))){%>
																		<a href="javascript:onclick=sortKeymail('desc','emailid')">Email Id <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortKeymail('desc','emailid')">Email Id</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamekeymail.equals("date_rc")) && (orderkeymail.equals("desc"))) { %>
																		<a href="javascript:onclick=sortKeymail('asc','date_rc')">Received <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if((columnnamekeymail.equals("date_rc")) && (orderkeymail.equals("asc"))){%>
																		<a href="javascript:onclick=sortKeymail('desc','date_rc')">Received <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortKeymail('desc','date_rc')">Received</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamekeymail.equals("e_from")) && (orderkeymail.equals("desc"))) { %>
																		<a href="javascript:onclick=sortKeymail('asc','e_from')">From <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if ((columnnamekeymail.equals("e_from")) && (orderkeymail.equals("asc"))){ %>
																		<a href="javascript:onclick=sortKeymail('desc','e_from')">From <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortKeymail('desc','e_from')">From</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if((columnnamekeymail.equals("keymail")) && (orderkeymail.equals("desc"))) { %>
																		<a href="javascript:onclick=sortKeymail('asc','keymail')">Keymail <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<%}else if ((columnnamekeymail.equals("keymail")) && (orderkeymail.equals("asc"))) { %>
																		<a href="javascript:onclick=sortKeymail('desc','keymail')">Keymail <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortKeymail('desc','keymail')">Keymail</a>
																	<% } %>
																</td>
																<td nowrap="nowrap" style="width:20%"; >
																	<% if ((columnnamekeymail.equals("status")) && (orderkeymail.equals("desc"))) { %>
																		<a href="javascript:onclick=sortKeymail('asc','status')">Status <img src='images/sort_down_on.gif' border='0' ></img></a>
																	<% } else if ((columnnamekeymail.equals("status")) && (orderkeymail.equals("asc"))){ %>
																		<a href="javascript:onclick=sortKeymail('desc','status')">Status <img src='images/sort_up_on.gif' border='0' ></img></a>
																	<% } else {%>
																		<a href="javascript:onclick=sortKeymail('desc','status')">Status</a>
																	<% } %>
																</td>
															</tr>
															<domain:keymaillog domainid="<%=domainid%>" minimum="<%=keymailminimum%>" txtfrom="<%=emailfrom%>" txtto="<%=emailto%>" txtemail="<%=emailid%>" txtDatefrom="<%=Datefrom%>" txtDateTo="<%=DateTo%>" column="<%=columnnamekeymail%>" order="<%=orderkeymail%>" tabtype="domain">
<%
															if(EmailID.equals("0"))
															{}
															else
															{
																String gridclass = "";
																i++;
																if (i%2 != 0)
																	gridclass = "gridrow2";
																else
																	gridclass = "gridrow1-green";
%>
																<tr class =<%=gridclass%>>
																	<td><%=EmailID%></td>
																	<td><%=Date_rc%></td>
																	<td><%=e_from%></td>
																	<td><%=Keymail%></td>
																	<td><%=Status%></td>
																</tr>
<%
															}	
%>
															</domain:keymaillog>
															<%	int keymailrecords = Expr4.intValue();	%>
															<tr class='footer' align='Right' style='font-weight:bold;'>
																<td colspan='7' >
																	<utility:paging totalrecords="<%=keymailrecords%>" minpage="<%=keymailminpage%>" min="<%=keymailmin%>" pagingtype="keymail" />
																</td>
															</tr>
														</TABLE>
													</TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD colSpan='2'>&nbsp;</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD width="100%" bgColor=black colSpan=2 height=1></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
			<script>
				if( "<%=flag%>" == "false" )
				{
					search.style.display="none";
					incoming.style.display="none";
					outgoing.style.display="none";
					alias.style.display="none";
					keymail.style.display="none";
				}
				else if( "<%=flag%>" == "true" )
				{	
					search.style.display="";
					incoming.style.display="";
					outgoing.style.display="";
					alias.style.display="";
					keymail.style.display="";
				}
			</script>
		</FORM>
	</BODY>
</HTML>
<%
}
%>